diff -urN soojung-0.4.4/admin.php soojung/admin.php
--- soojung-0.4.4/admin.php	2005-02-04 23:53:37.000000000 +0900
+++ soojung/admin.php	2005-02-19 18:07:16.000000000 +0900
@@ -19,7 +19,7 @@
   }
   Soojung::writeConfigFile($_POST["blogname"], $_POST["desc"], $_POST["url"], $_POST["perpage"],
 		    $_POST["fancyurl"], $_POST["notify"], $_POST["adminname"], $_POST["email"],
-		    $password, $_POST["skin"]);
+		    $password, $_POST["skin"], $_POST["license"]);
   echo "<meta http-equiv='refresh' content='0;URL=index.php?compile=t'>";
   exit;
 }
@@ -41,6 +41,7 @@
 }
 
 function export_mode() {
+  global $blog_name;
   $filename = $blog_name . '-' . date("Ymd", time()) . '.dat';
   header("Content-Type: application/octet");
   header("Content-Disposition: filename=" . $filename);
@@ -58,6 +59,8 @@
     Import::importTatterTools($_POST["db_server"], $_POST["db_user"], $_POST["db_pass"], $_POST["db_name"], $_POST["prefix"], $_POST["encoding"]);
   } else if ($_POST["mode"] == "import_wp") {
     Import::importWordPress($_POST["db_server"], $_POST["db_user"], $_POST["db_pass"], $_POST["db_name"], $_POST["prefix"], $_POST["encoding"]);
+  } else if ($_POST["mode"] == "import_zb") {
+    Import::importZeroboard($_POST["db_server"], $_POST["db_user"], $_POST["db_pass"], $_POST["db_name"], $_POST["prefix"], $_POST["encoding"], $_POST["boardid"]);
   }
   $temp = new Usertemplate("index.tpl", 1);
   $temp->clearCache();
@@ -70,7 +73,7 @@
 }
 
 function clear_referer_mode() {
-  unlink("contents/.referer");
+  @unlink("contents/.referer");
 }
 
 if ($_POST["mode"] == "login") {
@@ -108,6 +111,7 @@
   $template->assign("blog_fancyurl", $blog_fancyurl);
   $template->assign("blog_notify", $notify);
   $template->assign("blog_skin", $blog_skin);
+  $template->assign("license", $entries_license);
   $template->assign("admin_name", $admin_name);
   $template->assign("admin_email", $admin_email);
   $template->assign("templates", Soojung::getTemplates());
@@ -115,8 +119,18 @@
 } else if ($_GET["mode"] == "data") {
   $template->display('data.tpl');
 } else if ($_GET["mode"] == "list") {
-  $entry_structs = array();
-  $template->assign('entries', Entry::getAllEntries(false));
+  if(isset($_GET["page"])) {
+    $page = $_GET["page"];
+  } else {
+    $page = 1;
+  }
+  if ($page > 1) {
+    $template->assign('prev_page_link', "admin.php?mode=list&page=" . ($page - 1));
+  }
+  if (Entry::getEntryCount() > $page * 10) {
+    $template->assign('next_page_link', "admin.php?mode=list&page=" . ($page + 1));
+  }
+  $template->assign('entries', Entry::getEntries(10, $page));
   $template->display('list.tpl');
 } else {
   $template->assign('recent_entries', Entry::getRecentEntries(5));
@@ -125,4 +139,6 @@
   $template->assign('entry_count', Entry::getEntryCount());
   $template->display('overview.tpl');
 }
-?>
\ No newline at end of file
+
+# vim: ts=8 sw=2 sts=2 noet
+?>
diff -urN soojung-0.4.4/bookmark.php soojung/bookmark.php
--- soojung-0.4.4/bookmark.php	2004-12-19 12:52:16.000000000 +0900
+++ soojung/bookmark.php	2005-02-20 11:13:25.000000000 +0900
@@ -9,24 +9,21 @@
 }
 
 /* for posting new bookmark */
-
-if ($_POST["mode"] == "post") {
-  $url = $_POST["url"];
-  $desc = $_POST["desc"];
-
-  if (strstr ($url, "://") == FALSE)
-    $url = 'http://' . $url;
-
-  if (empty($url) || $url == 'http://')  {
-    echo "<font color=\"red\">WARNING: Input url correctly</font>";
-  } else {
-    if (Bookmark::addBookmark ($url, $desc) == false) {
-      echo "<font color=\"red\">WARNING: bookmark already exist</font>";    
-    }
+if ($_POST["mode"] == "delete") {
+  $del_list = $_POST["delchk"];
+  foreach($del_list as $number => $chk) {
+    Bookmark::deleteBookmark($number);    
   }
 } else if ($_GET["mode"] == "delete") {
-  $url = $_GET["url"];
-  Bookmark::deleteBookmark($url);
+  $number = $_GET["number"];
+  Bookmark::deleteBookmark($number);
+} else if ($_GET["mode"] == "move") {
+  $number = $_GET["number"];
+  $offset = intval($_GET["offset"]);
+  Bookmark::moveBookmark($number, $offset);
+  /* XXX without refresh moving, file doesnt save correctly */
+  echo "<meta http-equiv='refresh' content='0;URL=bookmark.php'>";
+  exit;
 }
 
 $template = new AdminTemplate;
@@ -35,6 +32,8 @@
 if (empty($bookmarks)) {
   $bookmarks = array();
 }
+
 $template->assign('bookmarks', $bookmarks);
 $template->display('bookmark.tpl');
-?>
\ No newline at end of file
+# vim: ts=8 sw=2 sts=2 noet
+?>
diff -urN soojung-0.4.4/bookmark_post.php soojung/bookmark_post.php
--- soojung-0.4.4/bookmark_post.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/bookmark_post.php	2005-02-20 11:13:25.000000000 +0900
@@ -0,0 +1,51 @@
+<?php
+session_start();
+
+include("settings.php");
+
+if (!isset($_SESSION["auth"])) {
+  echo "<meta http-equiv='refresh' content='0;URL=admin.php'>";
+  exit;
+}
+
+if ($_POST["mode"] == "post") {
+  $number = $_POST["number"];
+  $name = $_POST["name"];
+  $image = $_POST["image"];
+  $url = $_POST["url"];
+  $desc = $_POST["desc"];
+  
+  if (strstr ($url, "://") == FALSE)
+    $url = 'http://' . $url;
+
+  /* check each entry property */
+  if (empty($url) || $url == 'http://')  {
+    echo "<font color=\"red\">WARNING: Input url correctly</font>";
+  } else {
+    if (Bookmark::bookmarkWrite ($number, $name, $url, $desc, $image) == false) {
+      /* for each error code */
+      echo "<font color=\"red\">WARNING: bookmark already exist</font>";    
+    }
+  } 
+  /* if it succeed */
+  echo "<meta http-equiv='refresh' content='0;URL=bookmark.php'>";
+  exit;
+} else if ($_GET["number"]) { // edit
+  $bookmark = Bookmark::getBookmark($_GET["number"]);
+  $number = $bookmark->number;
+  $name = $bookmark->name;
+  $image = $bookmark->image;
+  $desc = $bookmark->desc;
+  $url = $bookmark->url;
+}
+
+$template = new AdminTemplate;
+$template->assign("number", $number);
+$template->assign("name", $name);
+$template->assign("image", $image);
+$template->assign("url", $url);
+$template->assign("desc", $desc);
+$template->display('bookmark_post.tpl');
+
+# vim: ts=8 sw=2 sts=2 noet
+?>
diff -urN soojung-0.4.4/classes/AdminTemplate.class.php soojung/classes/AdminTemplate.class.php
--- soojung-0.4.4/classes/AdminTemplate.class.php	2004-12-19 12:52:16.000000000 +0900
+++ soojung/classes/AdminTemplate.class.php	2005-02-19 14:52:46.000000000 +0900
@@ -10,4 +10,8 @@
     $this->cache_dir = "templates/.admin_cache/";
     $this->template_dir = "templates/admin/";
   }
-}
\ No newline at end of file
+}
+?>
+<?
+# vim: ts=8 sw=2 sts=2 noet
+?>
diff -urN soojung-0.4.4/classes/Archive.class.php soojung/classes/Archive.class.php
--- soojung-0.4.4/classes/Archive.class.php	2004-12-03 20:11:41.000000000 +0900
+++ soojung/classes/Archive.class.php	2005-02-19 10:46:05.000000000 +0900
@@ -4,27 +4,41 @@
   var $year;
   var $month;
 
-  function Archive($year, $month) {
+  function Archive($year, $month, $day = 0) {
     $this->year = intval($year);
     $this->month = intval($month);
+    $this->day = intval($day);
   }
 
   function getDate() {
-    return mktime(0, 0, 0, $this->month, 1, $this->year);
+    return mktime(0, 0, 0, $this->month, $this->day ? $this->day : 1, $this->year);
   }
 
   function getHref() {
     global $blog_baseurl, $blog_fancyurl;
 
-    if ($blog_fancyurl) {
-      return sprintf('%s/%04d/%02d', $blog_baseurl, $this->year, $this->month);
+    if ($this->day) {
+      if ($blog_fancyurl) {
+	return sprintf('%s/%04d/%02d/%02d', $blog_baseurl, $this->year, $this->month, $this->day);
+      } else {
+	return sprintf('%s/index.php?archive=%04d%02d%02d', $blog_baseurl, $this->year, $this->month, $this->day);
+      }
     } else {
-      return sprintf('%s/index.php?archive=%04d%02d', $blog_baseurl, $this->year, $this->month);
+      if ($blog_fancyurl) {
+	return sprintf('%s/%04d/%02d', $blog_baseurl, $this->year, $this->month);
+      } else {
+	return sprintf('%s/index.php?archive=%04d%02d', $blog_baseurl, $this->year, $this->month);
+      }
     }
   }
 
   function getEntries() {
-    $filenames = Soojung::queryFilenameMatch(sprintf("^%04d%02d[^.]+[.]entry$", $this->year, $this->month));
+    if ($this->day) {
+      $pattern = sprintf("^%04d%02d%02d[^.]+[.]entry$", $this->year, $this->month, $this->day);
+    } else {
+      $pattern = sprintf("^%04d%02d[^.]+[.]entry$", $this->year, $this->month);
+    }
+    $filenames = Soojung::queryFilenameMatch($pattern);
     rsort($filenames);
     $entries = array();
     foreach($filenames as $filename) {
@@ -33,13 +47,23 @@
     return $entries;
   }
 
+  function getEntryCount() {
+    if ($this->day) {
+      $pattern = sprintf("^%04d%02d%02d[^.]+[.]entry$", $this->year, $this->month, $this->day);
+    } else {
+      $pattern = sprintf("^%04d%02d[^.]+[.]entry$", $this->year, $this->month);
+    }
+    return Soojung::queryNumFilenameMatch($pattern);
+  }
+
   /**
    * static method
    */
   function getArchive($name) {
-    $year = substr($name, 0, 4);
-    $month = substr($name, 4, 2);
-    return new Archive($year, $month);
+    $year = intval(substr($name, 0, 4));
+    $month = intval(substr($name, 4, 2));
+    $day = intval(substr($name, 6, 2));
+    return new Archive($year, $month, $day);
   }
 
   /**
@@ -69,4 +93,5 @@
 
 }
 
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/classes/Bookmark.class.php soojung/classes/Bookmark.class.php
--- soojung-0.4.4/classes/Bookmark.class.php	2004-11-06 02:56:06.000000000 +0900
+++ soojung/classes/Bookmark.class.php	2005-02-20 11:13:25.000000000 +0900
@@ -2,10 +2,40 @@
 
 class Bookmark {
   
+
+  /**
+   * Bookmark file name:
+   * [number].bookmark
+   *
+   * Bookmark file structure:
+   * Name: [name]\r\n
+   * URL: [url]\r\n
+   * ImageLink: [url]\r\n
+   * Desc: [desc]\r\n
+   */
+  
   /** 
    * add personal bookmark file 
    */
-  function addBookmark($url, $desc) {
+  function Bookmark($filename) {
+    $this->filename = $filename;
+    $fd = fopen($filename, "r");
+    $this->number = Soojung::filenameToEntryId($filename);
+    $this->name = trim(strstr(fgets($fd, 1024), ' '));
+    $this->url = htmlspecialchars(trim(strstr(fgets($fd, 1024), ' ')), ENT_QUOTES, "UTF-8");
+    $this->image = htmlspecialchars(trim(strstr(fgets($fd, 1024), ' ')), ENT_QUOTES, "UTF-8");
+    $this->desc = trim(strstr(fgets($fd, 1024), ' '));
+    fclose($fd);
+  }
+
+  function getBookmark($number) {
+    if (empty($number)) return false;
+    $filename = 'contents/.bookmark/' . $number . '.bookmark';
+    return new Bookmark($filename);
+  }
+
+  /*
+  function addBookmark($name, $url, $desc, $image) {
     if (empty($desc)) {
       $desc = $url;
     }
@@ -21,52 +51,115 @@
     Bookmark::writeBookmark($bookmarks);
     return true;
   }
+  */
 
-  /** 
-   * delete personal bookmark, key is url (not description) 
-   */
-  function deleteBookmark($url) {
-    $bookmakrs = Bookmark::getBookmarkList();
-    $new_bookmakrs = array();
-    foreach($bookmakrs as $b) {
-      if ($b['url'] !== $url) {
-	$new_bookmarks[] = $b;
+  function bookmarkWrite($number, $name, $url, $desc, $image) {
+    if (empty($number) || !isset($number) || $number == 0) {
+      /* get last number + 1 */
+      $filenames = Soojung::queryFilenameMatch("^[0-9]+[.]bookmark$", "contents/.bookmark/");
+      sort($filenames);
+      $last_index = count($filenames) - 1;
+
+      if (empty($filenames[$last_index]) || !isset($filenames[$last_index]) || $filenames[$last_index] == "") {
+	$number = 1;
+      } else {
+	$number = Soojung::filenameToEntryId($filenames[$last_index]) + 1;
       }
     }
-    Bookmark::writeBookmark($new_bookmarks);
+    $filename = "$number.bookmark";
+    @mkdir('contents/.bookmark');
+    $fd = fopen('contents/.bookmark/'. $filename, "w");
+
+    fwrite($fd, "Name: ". $name. "\r\n");
+    fwrite($fd, "URL: ". $url. "\r\n");
+    fwrite($fd, "ImageLink: ". $image. "\r\n");
+    fwrite($fd, "Desc: ". $desc. "\r\n");
+    fclose($fd);
+
+    return true;
   }
 
-  /** 
-   * writing $bookmarks to file
-   */
-  function writeBookmark($bookmarks) {
-    $fd = fopen("contents/.bookmark", "w");
-    if (!empty($bookmarks)) {
-      foreach ($bookmarks as $b) {
-	fwrite ($fd, $b['url'] . " " . $b['desc'] . "\r\n");
+  /* rename it */
+  function moveBookmark($number, $offset) {
+#    return false;
+    $bookmarks = Bookmark::getBookmarkList();
+    $index = -1;
+    $bookmark = Bookmark::getBookmark($number);
+    foreach ($bookmarks as $key => $b) {
+      if ($b->number == $number) {
+	$index = $key;
+	break;
       }
     }
-    fclose($fd);
+
+    if ($index == -1)
+      {
+	return false;
+      }
+    $index_new = $index + $offset;
+    /* check $index_new is in range */
+    if ($index_new < 0)
+      $index_new = 0;
+    else if ($index_new >= count($bookmarks))
+      $index_new = count($bookmarks) -1;
+
+
+    $b = $bookmarks[$index];
+    $b_new = $bookmarks[$index_new];
+
+    Bookmark::bookmarkWrite($b_new->number, $b->name, $b->url, $b->desc, $b->image);
+    Bookmark::bookmarkWrite($b->number, $b_new->name, $b_new->url, $b_new->desc, $b_new->image);
+
+  }
+
+  /** 
+   * delete personal bookmark, key is url (not description) 
+   */
+  function deleteBookmark($number) {
+    $filename = "contents/.bookmark/$number.bookmark";
+    unlink($filename);
   }
 
+
   /** 
    * read $bookmarks from file
    */
   function getBookmarkList() {
-    $bookmarks = array();
-    if (!file_exists("contents/.bookmark")) {
-      return $bookmarks;
-    }
-    $fd = fopen("contents/.bookmark", "r");
-    while (!feof($fd)) {
-      $line = trim(fgets($fd, 1024));
-      $b = explode(" ", $line, 2);
-      if (!empty($b[0])) {
-	$bookmarks[] = array("url"=>$b[0], "desc" => $b[1]);
+    if (is_file("contents/.bookmark")) {
+      $bookmarks = array();
+      if (!file_exists("contents/.bookmark")) {
+	return $bookmarks;
       }
+      rename("contents/.bookmark", "contents/.bookmark_old");
+      $fd = fopen("contents/.bookmark_old", "r");
+
+      $number = 0;
+      while (!feof($fd)) {
+	$number++;
+	$line = trim(fgets($fd, 1024));
+	$b = explode(" ", $line, 2);
+	if (!empty($b[0])) {
+	  Bookmark::bookmarkWrite($number, $b[1], $b[0], $b[1], null);
+	  $bookmark = array("url"=>$b[0], "desc" => $b[1]);
+	}
+      }
+      fclose($fd);
+      unlink("contents/.bookmark_old");
+    }
+     
+    $entries = array();
+    $filenames = Soojung::queryFilenameMatch("^[0-9]+[.]bookmark$", "contents/.bookmark/");
+    natsort($filenames);
+
+    for ($i = 0; $i < count($filenames); $i++) {
+      $bookmark = new Bookmark($filenames[$i]);
+      $bookmarks[] = $bookmark;
     }
+
     return $bookmarks;
   }
+
 }
 
-?>
\ No newline at end of file
+# vim: ts=8 sw=2 sts=2 noet
+?>
diff -urN soojung-0.4.4/classes/Calendar.class.php soojung/classes/Calendar.class.php
--- soojung-0.4.4/classes/Calendar.class.php	2005-01-22 19:43:49.000000000 +0900
+++ soojung/classes/Calendar.class.php	2005-02-19 10:46:05.000000000 +0900
@@ -1,121 +1,107 @@
 <?php
-
 class Calendar {
   var $year;
   var $month;
   var $day;
 
   function Calendar($year, $month, $day) {
-    if (!$year && !$month)
-      list($year, $month) = $this->get_year_month();
-    $this->year = $year;
-    $this->month = $month;
-    $this->day = $day;
-  }
-
-  function get_year_month() {
-    return list($year, $month) = split(" ", date("Y m"));
+    $this->year = $year ? $year : date("Y");
+    $this->month = $month ? $month : date("m");
+    $this->day = $day ? $day : date("d");
   }
 
-  function get_month_href($year, $month) {
+  function getMonthHref($year, $month) {
     global $blog_baseurl, $blog_fancyurl;
 
-    if ($month<1) {
-      --$year;
-      $month = 12;
-    } elseif ($month>12) {
-      ++$year;
-      $month = "01";
-    }
-    if (strlen($month)<=1)
-      $month = "0".$month;
-    if (strlen($year)<=1)
-      $year = "0".$year;
-
-    if ($blog_fancyurl)
-      return "$blog_baseurl/$year/$month";
-    else
-      return "$blog_baseurl/?archive=$year$month";
+    if ($month < 1) {
+      $year--;
+      $month += 12;
+    } elseif ($month > 12) {
+      $year++;
+      $month -= 12;
+    }
+
+    if ($blog_fancyurl) {
+      return sprintf("%s/%04d/%02d", $blog_baseurl, $year, $month);
+    } else {
+      return sprintf("%s/index.php?archive=%04d%02d", $blog_baseurl, $year, $month);
+    }
   }
 
-  function get_month_alt($year, $month) {
-    if ($month<1) {
-      --$year;
-      $month = 12;
-    } elseif ($month>12) {
-      ++$year;
-      $month = 1;
+  function getMonthAnchor($year, $month) {
+    if ($month < 1) {
+      $year--;
+      $month += 12;
+    } elseif ($month > 12) {
+      $year++;
+      $month -= 12;
     }
     return date("F Y", mktime(0, 0, 0, $month, 1, $year));
   }
 
-
-  function get_calendar() {
+  function getCalendar() {
     global $blog_baseurl;
+
     $year = $this->year;
     $month = $this->month;
-
-    $num_days = date("t", mktime(0, 0, 0, $month, 1, $year));
-    $fDoWoM = date("w", mktime(0, 0, 0, $month, 1, $year));
-    $cal = "<div id=\"calendar\">
-      <a href=\"".$this->get_month_href($year,$month-1)."\" title=\"".$this->get_month_alt($year, $month-1)."\">«</a>
-      <a href=\"".$this->get_month_href($year,$month)."\">".$this->get_month_alt($year, $month)."</a>
-      <a href=\"".$this->get_month_href($year,$month+1)."\" title=\"".$this->get_month_alt($year, $month+1)."\">»</a>
-      <div class=\"calendar_days\">
-      <table cellpadding=0 cellspacing=0 width=\"95%\">
-      <tr>
-      <td align=\"right\" width=\"15.0%\">Sun</td>
-      <td align=\"right\" width=\"14.2%\">Mon</td>
-      <td align=\"right\" width=\"14.2%\">Tue</td>
-      <td align=\"right\" width=\"14.2%\">Wen</td>
-      <td align=\"right\" width=\"14.2%\">Thu</td>
-      <td align=\"right\" width=\"14.2%\">Fri</td>
-      <td align=\"right\" width=\"14.2%\">Sat</td>
-      </tr>
-      <tr>";
-    $nweeks = (int) (($num_days+$fDoWoM)/7)+1;
-    if ($num_days+$fDoWoM == 35)
-      --$nweeks;
-
-    $total = 0;
-    $today = 1;
-    $days = $this->get_bloged_days($year, $month);
-    $bloged_days = array_flip($days);
-
-    while ($total++<$nweeks*7) {
-      if ($total%7==1) {
-	$cal .= "<tr>\n";
+    
+    $ndays = date("t", mktime(0, 0, 0, $month, 1, $year));
+    $_weekday = date("w", mktime(0, 0, 0, $month, 1, $year));
+    $entries = $this->getEntriesForCalendar($year, $month);
+    $cal = "<div id=\"calendar\">\n".
+      "<p><a href=\"".$this->getMonthHref($year, $month-1)."\" title=\"".$this->getMonthAnchor($year, $month-1)."\">&laquo;</a>\n".
+      "<a href=\"".$this->getMonthHref($year, $month)."\" class=\"current\">".$this->getMonthAnchor($year, $month)."</a>\n".
+      "<a href=\"".$this->getMonthHref($year, $month+1)."\" title=\"".$this->getMonthAnchor($year, $month+1)."\">&raquo;</a></p>\n".
+      "<table>\n".
+      "<tr class=\"header\"><th>S</th><th>M</th><th>T</th><th>W</th><th>T</th><th>F</th><th>S</th></tr>\n";
+
+    $weekday = 0;
+    for ($day=1-$_weekday; $day<=$ndays; $day++) {
+      if ($weekday == 0) {
+        $cal .= "<tr>";
       }
-      if ($today<$num_days+1 && $total>$fDoWoM) {
-	if (in_array($today, $bloged_days)) {
-	  $e = new Entry($days[$today]);
-	  $cal .= "<td align=\"right\"><a href=\"" . $e->getHref() ."\">$today</a></td>";
-	} else {
-	  $cal .= "<td align=\"right\">$today</td>";
-	}
-	$today++;
+      if ($day < 1) {
+        $cal .= "<td></td>";
+      } elseif ($entries[$day]) {
+        $nentries = count($entries[$day]);
+        if ($nentries > 1) {
+          $title = "$nentries entries posted on this day";
+          $archive = new Archive($year, $month, $day);
+          $cal .= "<td><a href=\"".$archive->getHref()."\" title=\"$title\">$day</a></td>";
+        } else {
+          $title = "$nentries entry posted on this day";
+          $entry = new Entry($entries[$day][0]);
+          $cal .= "<td><a href=\"".$entry->getHref()."\" title=\"$title\">$day</a></td>";
+        }
       } else {
-	$cal .= "<td>&nbsp;</td>";
+        $cal .= "<td>$day</td>";
       }
-      if (!($total%7)) {
-	$cal .= "</tr>\n";
+      if ($weekday == 6) {
+        $cal .= "</tr>\n";
       }
+      $weekday = ($weekday + 1) % 7;
+    }
+    if ($weekday < 6) {
+      $cal .= "</tr>\n";
     }
-    $cal .= "</div></table></div>\n";
+    $cal .= "</table></div>\n";
     return $cal;
   }
 
-  function get_bloged_days($year, $month) {
-    $days = array();
-    $filenames = Soojung::queryFilenameMatch($year . $month . "[^.]+[.]entry$");
+  function getEntriesForCalendar($year, $month) {
+    $entries = array();
+    $filenames = Soojung::queryFilenameMatch(sprintf("^%04d%02d[^.]+[.]entry$", $year, $month));
+    sort($filenames);
     foreach($filenames as $filename) {
-      $key = sprintf("%d", substr($filename, 15, 2));
-      $day = $filename;
-      $days[$key] = $day;
+      list($datetime, $category, $entryid) = explode("_", substr(basename($filename), 0, -6));
+      $day = intval(substr($datetime, 6, 2));
+      if($entries[$day]) {
+        $entries[$day][] = $filename;
+      } else {
+        $entries[$day] = array($filename);
+      }
     }
-    $days = array_unique($days);
-
-    return $days;
+    return $entries;
   }
 }
 ?>
diff -urN soojung-0.4.4/classes/Category.class.php soojung/classes/Category.class.php
--- soojung-0.4.4/classes/Category.class.php	2005-01-07 21:18:00.000000000 +0900
+++ soojung/classes/Category.class.php	2005-02-12 22:53:01.000000000 +0900
@@ -63,4 +63,5 @@
 
 }
 
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/classes/Comment.class.php soojung/classes/Comment.class.php
--- soojung-0.4.4/classes/Comment.class.php	2004-11-26 22:58:36.000000000 +0900
+++ soojung/classes/Comment.class.php	2005-02-12 22:53:01.000000000 +0900
@@ -119,4 +119,5 @@
 
 }
 
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/classes/Entry.class.php soojung/classes/Entry.class.php
--- soojung-0.4.4/classes/Entry.class.php	2005-01-11 21:06:59.000000000 +0900
+++ soojung/classes/Entry.class.php	2005-02-19 05:37:25.000000000 +0900
@@ -61,7 +61,7 @@
     }
   }
 
-  function getBody($toHtml = true) {
+  function getRawBody() {
     $fd = fopen($this->filename, "r");
     fgets($fd, 1024); // date
     fgets($fd, 1024); // title
@@ -71,26 +71,16 @@
     fgets($fd, 1024);
     $body = fread($fd, filesize($this->filename));
     fclose($fd);
-
-    // body convert to html
-    if ($toHtml == true) {
-      if ($this->format == "plain") {
-	$body = Formatter::plainToHtml($body);
-      } elseif ($this->format == "html") {
-	//do nothing :)
-      } elseif ($this->format == "bbcode") {
-        $body = Formatter::bbcodeToHtml($body);
-      }
-    } else {
-      if ($this->format == "html") {
-	$body = addslashes($body);
-      } else {
-	$body = htmlspecialchars($body);
-      }
-    }
+    
     return $body;
   }
 
+  function getBody() {
+    $body = $this->getRawBody();
+    $formatter = Soojung::getFormatter($this->format);
+    return $formatter->toHtml($body);
+  }
+
   function getCommentCount() {
     return Soojung::queryNumFilenameMatch("[.]comment$", "contents/" . $this->entryId . "/");
   }
@@ -262,4 +252,5 @@
   }
 }
 
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/classes/Export.class.php soojung/classes/Export.class.php
--- soojung-0.4.4/classes/Export.class.php	2004-10-02 19:39:37.000000000 +0900
+++ soojung/classes/Export.class.php	2005-02-12 22:53:01.000000000 +0900
@@ -52,4 +52,5 @@
 
 }
 
-?>
\ No newline at end of file
+# vim: ts=8 sw=2 sts=2 noet
+?>
diff -urN soojung-0.4.4/classes/Formatter.class.php soojung/classes/Formatter.class.php
--- soojung-0.4.4/classes/Formatter.class.php	2005-01-05 15:58:18.000000000 +0900
+++ soojung/classes/Formatter.class.php	2005-02-19 05:37:25.000000000 +0900
@@ -1,8 +1,126 @@
 <?php
 
+/** Balances Tags of string using a modified stack.
+ * @param text      Text to be balanced
+ * @return          Returns balanced text
+ * @notes           
+ * import from Wordpress
+ * add balance quot
+ */
+function balanceTags($text, $is_comment = 0) {
+  /*	
+  if (get_settings('use_balanceTags') == 0) {
+    return $text;
+  }
+  */
+  $tagstack = array(); 
+  $stacksize = 0; 
+  $tagqueue = ''; 
+  $newtext = '';
+
+# WP bug fix for comments - in case you REALLY meant to type '< !--'
+  $text = str_replace('< !--', '<    !--', $text);
+# WP bug fix for LOVE <3 (and other situations with '<' before a number)
+  $text = preg_replace('#<([0-9]{1})#', '&lt;$1', $text);
+
+  // close &quot; which isn't closed in MARKUP
+  $text = ereg_replace("<([^=]*)=\"([^>\"]*)>", "<\\1=\"\\2\">", $text);
+  // match MARKUP tag, $regex[1] is tagname.
+
+  while (preg_match("/<(\/?\w*)\s*([^>]*)>/",$text,$regex)) {
+    $newtext = $newtext . $tagqueue;
+
+    $i = strpos($text,$regex[0]);
+    $l = strlen($tagqueue) + strlen($regex[0]);
+
+    // clear the shifter
+    $tagqueue = '';
+    // Pop or Push
+    if ($regex[1][0] == "/") { // End Tag
+      $tag = strtolower(substr($regex[1],1));
+      // if too many closing tags
+      if($stacksize <= 0) { 
+	$tag = '';
+	//or close to be safe $tag = '/' . $tag;
+      }
+      // if stacktop value = tag close value then pop
+      else if ($tagstack[$stacksize - 1] == $tag) { // found closing tag
+	$tag = '</' . $tag . '>'; // Close Tag
+	// Pop
+	array_pop ($tagstack);
+	$stacksize--;
+      } else { // closing tag not at top, search for it
+	for ($j=$stacksize-1;$j>=0;$j--) {
+	  if ($tagstack[$j] == $tag) {
+	    // add tag to tagqueue
+	    for ($k=$stacksize-1;$k>=$j;$k--){
+	      $tagqueue .= '</' . array_pop ($tagstack) . '>';
+	      $stacksize--;
+	    }
+	    break;
+	  }
+	}
+	$tag = '';
+      }
+    } else { // Begin Tag
+      $tag = strtolower($regex[1]);
+
+      // Tag Cleaning
+
+      // Push if not img or br or hr
+      if($tag != 'br' && $tag != 'img' && $tag != 'hr' ) {
+	$stacksize = array_push ($tagstack, $tag);
+      }
+
+      // Attributes
+      // $attributes = $regex[2];
+      $attributes = $regex[2];
+      if($attributes) {
+	$attributes = ' '.$attributes;
+      }
+      $tag = '<'.$tag.$attributes.'>';
+    }
+    $newtext .= substr($text,0,$i) . $tag;
+    $text = substr($text,$i+$l);
+  }  
+
+  // Clear Tag Queue
+  $newtext = $newtext . $tagqueue;
+
+  // Add Remaining text
+  $newtext .= $text;
+
+  // Empty Stack
+  while($x = array_pop($tagstack)) {
+    $newtext = $newtext . '</' . $x . '>'; // Add remaining tags to close      
+  }
+
+  // WP fix for the bug with HTML comments
+  $newtext = str_replace("< !--","<!--",$newtext);
+  $newtext = str_replace("<    !--","< !--",$newtext);
+
+  return $newtext;
+}
+
 class Formatter {
 
-  function plainToHtml($str) {
+  function toHtml($str) {
+    return htmlspecialchars($str);
+  }
+
+  function toRSS($str) {
+    return $this->toHtml($str);
+  }
+
+  function onPost($str) {
+    return $str;
+  }
+
+}
+
+class PlainFormatter extends Formatter {
+
+  function toHtml($str) {
     $pos = strpos($str, "<pre");
     if ($pos === false) {
       return nl2br($str);
@@ -22,7 +140,27 @@
     return $text;
   }
 
-  function __bbcode_listing($mode, $str) {
+  function onPost($str) {
+    return balanceTags($str);
+  }
+
+}
+
+class HtmlFormatter extends Formatter {
+
+  function toHtml($str) {
+    return $str;
+  }
+
+  function onPost($str) {
+    return balanceTags($str);
+  }
+
+}
+
+class BBcodeFormatter extends Formatter {
+
+  function __listing($mode, $str) {
     $item = explode("[*]", $str);
     $rstr = trim($item[0]);
     for($i=1;$i<count($item);$i++) {
@@ -38,11 +176,11 @@
     }
   }
 
-  function __bbcode_escape($str) {
+  function __escape($str) {
     return strtr($str, array("@"=>"\0@", "://"=>"\0://", "["=>"[\0"));
   }
 
-  function bbcodeToHtml($str) {
+  function toHtml($str) {
     static
       $rule1 = array(
         '#\[i](.+)\[/i]#iU',
@@ -70,12 +208,12 @@
         '<span style="font-size:\2pt;">\3</span>',
         '<blockquote><div>\1</div></blockquote>',
         '<blockquote><p class="quotetitle">\2</p><div>\3</div></blockquote>',
-        'Formatter::__bbcode_listing("\1","\2")',
-        'Formatter::__bbcode_escape("<a href=\\"\1\\">\1</a>")',
-        'Formatter::__bbcode_escape("<a href=\\"\2\\">\3</a>")',
-        'Formatter::__bbcode_escape("<img src=\\"\1\\" width=\\"\\" height=\\"\\" alt=\\"\1\\\" />")',
-        'Formatter::__bbcode_escape("<img src=\\"\2\\" width=\\"\\" height=\\"\\" alt=\\"\3\\\" />")',
-        'Formatter::__bbcode_escape("<a href=\\"mailto:\1\\">\1</a>")'),
+        'BBcodeFormatter::__listing("\1","\2")',
+        'BBcodeFormatter::__escape("<a href=\\"\1\\">\1</a>")',
+        'BBcodeFormatter::__escape("<a href=\\"\2\\">\3</a>")',
+        'BBcodeFormatter::__escape("<img src=\\"\1\\" width=\\"\\" height=\\"\\" alt=\\"\1\\\" />")',
+        'BBcodeFormatter::__escape("<img src=\\"\2\\" width=\\"\\" height=\\"\\" alt=\\"\3\\\" />")',
+        'BBcodeFormatter::__escape("<a href=\\"mailto:\1\\">\1</a>")'),
       $rule2 = array(
         '#http://(?:[-0-9a-z_.@:~\\#%=+?/]|&amp;)+#i',
         '#[-0-9a-z_.]+@[-0-9a-z_.]+#i'),
@@ -131,7 +269,7 @@
         if($option["smiley"]) {
           $temp = strtr($temp, $smiley);
         }
-        $temp = preg_replace('#\[literal](.*)\[/literal]#ieU', 'Formatter::__bbcode_escape("\1")', $temp);
+        $temp = preg_replace('#\[literal](.*)\[/literal]#ieU', 'BBcodeFormatter::__escape("\1")', $temp);
         $temp = preg_replace($rule2, $repl2, preg_replace($rule1, $repl1, $temp));
         $rstr .= nl2br(str_replace("\0", "", $temp));
       } else {
@@ -142,4 +280,5 @@
   }
 }
 
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/classes/Import.class.php soojung/classes/Import.class.php
--- soojung-0.4.4/classes/Import.class.php	2004-12-24 13:24:00.000000000 +0900
+++ soojung/classes/Import.class.php	2005-02-15 10:56:55.000000000 +0900
@@ -285,6 +285,66 @@
   }
 
   /**
+   * static method
+   */
+  function importZeroboard($dbServer, $dbUser, $dbPass, $dbName, $prefix, $encoding, $boardId) {
+    if (!$boardId)
+      die ("please specify the board id");
+
+    $link = mysql_connect($dbServer, $dbUser, $dbPass) or die("could not connect");
+    mysql_select_db($dbName) or die("could not select database");
+
+    // posts
+    $query = "select no, reg_date, category, use_html, name, subject, memo from " . $prefix . $boardId . " where depth = 0";
+    $result = mysql_query($query) or die("query failed");
+
+    while ($line = mysql_fetch_assoc($result)) {
+      $c_no = $line['category'];
+      $c_query = "select name from " . $prefix . "category_" . $boardId . " where no = " . $c_no;
+      $c_result = mysql_query($c_query);
+      $c_line = mysql_fetch_array($c_result);
+
+      $category = isset($c_line['name']) ? $c_line['name'] : "General";
+
+      if (strcasecmp($encoding, "UTF-8") == 0 || strcasecmp($encoding, "UTF8") == 0) {
+        $title = $line['subject'];
+        $body = stripslashes($line['memo']);
+      } else {
+        $title = iconv($encoding, "UTF-8", $line['subject']);
+        $body = iconv($encoding, "UTF-8", stripslashes($line['memo']));
+        $category = iconv($encoding, "UTF-8", $category);
+      }
+      $date = $line['reg_date'];
+      $options = array();
+      $format = "plain";
+      if ($line['use_html'])
+        $format = "html";
+
+      $id = Entry::createEntry($title, $body, $date, $category, $options, $format);
+
+      // comments
+      $comment_query = "select reg_date, name, memo from " . $prefix . "comment_" . $boardId . " where parent = " . $line['no'];
+      $comment_result = mysql_query($comment_query) or die("query failed");
+      while ($line = mysql_fetch_assoc($comment_result)) {
+        if (strcasecmp($encoding, "UTF-8") == 0 || strcasecmp($encoding, "UTF8") == 0) {
+          $name = $line['name'];
+          $body = $line['memo'];
+        } else {
+          $name = iconv($encoding, "UTF-8", $line['name']);
+          $body = iconv($encoding, "UTF-8", $line['memo']);
+        }
+        $date = $line['reg_date'];
+
+        Comment::writeComment($id, $name, $email, $homepage, $body, $date);
+      }
+      mysql_free_result($comment_result);
+    }
+
+    mysql_free_result($result);
+    mysql_close($link);
+  }
+
+  /**
    * private, static method
    */
   function createFile($xml) {
@@ -385,4 +445,5 @@
 
 }
 
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/classes/Soojung.class.php soojung/classes/Soojung.class.php
--- soojung-0.4.4/classes/Soojung.class.php	2005-02-05 00:21:17.000000000 +0900
+++ soojung/classes/Soojung.class.php	2005-02-20 11:13:25.000000000 +0900
@@ -64,6 +64,8 @@
       $i = strrpos($filename, "_") + 1;
       $j = strrpos($filename, ".");
       return substr($filename, $i, $j-$i);
+    } else if (strpos($filename, ".bookmark") != false) {
+      return basename($filename, ".bookmark");
     } else { //comment, trackback
       $dirs = explode("/", $filename);
       return $dirs[1];
@@ -129,8 +131,24 @@
   /**
    * static method
    */
+  function getFormatter($format) {
+    switch($format) {
+    case "plain":
+      return new PlainFormatter();
+    case "html":
+      return new HtmlFormatter();
+    case "bbcode":
+      return new BBcodeFormatter();
+    default:
+      return new Formatter();
+    }
+  }
+
+  /**
+   * static method
+   */
   function writeConfigFile($blogname, $blogdesc, $blogurl, $perpage, $blogfancyurl, $blognotify,
-			     $adminname, $adminemail, $adminpassword, $skin = "simple") {
+			     $adminname, $adminemail, $adminpassword, $skin = "simple", $license = "none") {
     $fd = fopen("config.php", "w");
     fwrite($fd, "<?php\n");
     fwrite($fd, '$blog_name="' . $blogname . "\";\n");
@@ -156,15 +174,31 @@
     } else {
       fwrite($fd, '$admin_password="' . $adminpassword . "\";\n");
     }
+    fwrite($fd, '$entries_license="' . $license . "\";\n");
     fwrite($fd, "?>");
     fclose($fd);
   }
 
+  function writeHtaccess($filename = ".htaccess") {
+    $f = fopen($filename, "w");
+    fwrite($f, "RewriteEngine On\n");
+    fwrite($f, "RewriteRule ^(.+)/([0-9]+)/([0-9]+)/([0-9]+)/([0-9]+)[.]html$ ");
+    fwrite($f, $_POST["url"] . "/entry.php?blogid=$5\n");
+    fwrite($f, "RewriteRule ^([0-9]+)/([0-9]+) ");
+    fwrite($f, $_POST["url"] . "/index.php?archive=$1$2\n");
+    fwrite($f, "RewriteRule ^([0-9]+)/([0-9]+)/([0-9]+) ");
+    fwrite($f, $_POST["url"] . "/index.php?archive=$1$2$3\n");
+    fwrite($f, "RewriteRule ^([^/.]+)$ ");
+    fwrite($f, $_POST["url"] . "/index.php?category=$1\n");
+    fwrite($f, "RewriteRule ^page/([0-9]+)$ ");
+    fwrite($f, $_POST["url"] . "/index.php?page=$1\n");
+    fclose($f);
+  }
 
   // referer spam check
   function isSpam($text) {
     $words = array("search", "blogspot", "naked", "nude", "boobs", "viagra",
-		   "poker", "password");
+		   "poker", "password", "sex", "porn", "hentai");
     foreach ($words as $word) {
       if (strpos($text, $word) !== FALSE) {
 	return true;
@@ -216,9 +250,15 @@
     if ($fd = @fopen("contents/.referer", "r")) {
       $data = @fread($fd, filesize("contents/.referer"));
       $array = split("\r\n", $data);
-      return array_slice($array, 0, $n);
+      $array = array_slice($array, 0, $n);
+
+      foreach($array as $key => $val) {
+	$array[$key] = htmlspecialchars($val);
+      }
+      return $array;
     }
   }
 }
 
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/classes/Template.class.php soojung/classes/Template.class.php
--- soojung-0.4.4/classes/Template.class.php	2005-01-05 22:29:14.000000000 +0900
+++ soojung/classes/Template.class.php	2005-02-12 22:53:01.000000000 +0900
@@ -19,4 +19,6 @@
     $this->assign('soojung_version', $soojung_version);
   }
 }
+
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/classes/Trackback.class.php soojung/classes/Trackback.class.php
--- soojung-0.4.4/classes/Trackback.class.php	2004-11-19 22:58:30.000000000 +0900
+++ soojung/classes/Trackback.class.php	2005-02-19 13:13:04.000000000 +0900
@@ -119,10 +119,13 @@
       $tb_port = $tb_url['port'];
     else
       $tb_port = 80;
+    $tb_path = $tb_url['path'];
+    if($tb_path == '') $tb_path = '/';
+    if($tb_url['query']) $tb_path .= '?'.$tb_url['query'];
 
     //  $permlink = rawurlencode(get_entry_link($blogid, false));
     $entry = Entry::getEntry($entryId);
-    $permlink = $entry->getHref();
+    $permlink = rawurlencode($entry->getHref());
 
     if ($entry->title != null) {
       $tb_title = rawurlencode(iconv("UTF-8", $encoding, $entry->title));
@@ -145,12 +148,15 @@
 
     $query_string = "title=$tb_title&url=$permlink&excerpt=$tb_excerpt&blog_name=$tb_blogname";
     $query_string = iconv( "UTF-8", $encoding, $query_string);
-    echo "query_string : $query_string<br />"; //debug code?
 
-    $http_request  = 'POST '.$trackbackUrl." HTTP/1.0\r\n";
-    $http_request .= 'Content-Type: application/x-www-form-urlencoded'."\r\n";
-    $http_request .= 'Content-Length: '.strlen($query_string)."\r\n\r\n";
-    $http_request .= $query_string;
+    # only for debugging
+    #echo "query_string : $query_string<br />"; //debug code?
+
+    $http_request  = "POST ".$tb_path." HTTP/1.1\r\n";
+    $http_request .= "Host: ".$tb_url['host']."\r\n";
+    $http_request .= "Content-Type: application/x-www-form-urlencoded\r\n";
+    $http_request .= "Content-Length: ".strlen($query_string)."\r\n\r\n";
+    $http_request .= $query_string."\r\n\r\n";
 
     $response = array();
     if (!($fp = fsockopen($tb_url['host'], $tb_port))) {
@@ -182,4 +188,5 @@
 
 }
 
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/classes/UserTemplate.class.php soojung/classes/UserTemplate.class.php
--- soojung-0.4.4/classes/UserTemplate.class.php	2005-01-22 19:43:49.000000000 +0900
+++ soojung/classes/UserTemplate.class.php	2005-02-19 18:02:46.000000000 +0900
@@ -6,6 +6,7 @@
   {
     global $blog_skin;
     global $today_count, $total_count;
+    global $entries_license;
 
     $this->Template();
     
@@ -43,6 +44,14 @@
       }
       $calendar = new Calendar($year, $month, $day);
       $this->assign('calendar', $calendar);
+
+      //license
+      if ($entries_license == "none") {
+	$license_link = "All rights reserved.";
+      } else {
+	$license_link = "This site is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/$entries_license/2.0/\">Creative Commons License</a>.";
+      }
+      $this->assign('license_link', $license_link);
     }
     $this->assign('today_count', $today_count);
     $this->assign('total_count', $total_count);
@@ -53,4 +62,6 @@
     $this->clear_all_cache();
   }
 }
-?>
\ No newline at end of file
+
+# vim: ts=8 sw=2 sts=2 noet
+?>
diff -urN soojung-0.4.4/entry.php soojung/entry.php
--- soojung-0.4.4/entry.php	2005-01-18 22:39:56.000000000 +0900
+++ soojung/entry.php	2005-02-12 22:52:45.000000000 +0900
@@ -56,4 +56,6 @@
 }
 
 $template->display('entry.tpl', $blogid);
+
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/index.php soojung/index.php
--- soojung-0.4.4/index.php	2005-01-14 22:38:44.000000000 +0900
+++ soojung/index.php	2005-02-12 22:52:45.000000000 +0900
@@ -53,4 +53,6 @@
   }
 }
 $template->display('index.tpl', $cache_id);
+
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/install.php soojung/install.php
--- soojung-0.4.4/install.php	2005-01-05 22:10:20.000000000 +0900
+++ soojung/install.php	2005-02-19 18:37:52.000000000 +0900
@@ -1,5 +1,6 @@
 <?php
-include_once("settings.php");
+include_once("classes/Soojung.class.php");
+include_once("libs/util.php");
 ?>
 
 <html>
@@ -47,18 +48,7 @@
     Soojung::writeConfigFile($_POST["name"], $_POST["desc"], $_POST["url"], $_POST["perpage"],
 			     $fb, $nb, $_POST["admin"], $_POST["email"],
 			     md5($_POST["password"]));
-
-    $f = fopen(".htaccess", "w");
-    fwrite($f, "RewriteEngine On\n");
-    fwrite($f, "RewriteRule ^(.+)/([0-9]+)/([0-9]+)/([0-9]+)/([0-9]+)[.]html$ ");
-    fwrite($f, $_POST["url"] . "/entry.php?blogid=$5\n");
-    fwrite($f, "RewriteRule ^([0-9]+)/([0-9]+) ");
-    fwrite($f, $_POST["url"] . "/index.php?archive=$1$2\n");
-    fwrite($f, "RewriteRule ^([^/.]+)$ ");
-    fwrite($f, $_POST["url"] . "/index.php?category=$1\n");
-    fwrite($f, "RewriteRule ^page/([0-9]+)$ ");
-    fwrite($f, $_POST["url"] . "/index.php?page=$1\n");
-    fclose($f);
+    Soojung::writeHtaccess();
 
     echo "install success. delete install.php file and change the soojung directory permission to 755<br />";
     echo "<a href=\"index.php\">home</a>";
@@ -123,3 +113,7 @@
 
 </body>
 </html>
+
+<?php
+# vim: ts=8 sw=2 sts=2 noet
+?>
diff -urN soojung-0.4.4/libs/smarty/plugins/shared.make_timestamp.php soojung/libs/smarty/plugins/shared.make_timestamp.php
--- soojung-0.4.4/libs/smarty/plugins/shared.make_timestamp.php	2004-08-30 21:22:54.000000000 +0900
+++ soojung/libs/smarty/plugins/shared.make_timestamp.php	2005-02-18 23:09:07.000000000 +0900
@@ -19,7 +19,7 @@
         $string = "now";
     }
     $time = strtotime($string);
-    if (is_numeric($time) && $time != -1)
+    if (is_numeric($time) && $time != -1 && $time <= 0x7FFFFFFF)
         return $time;
 
     // is mysql timestamp format of YYYYMMDDHHMMSS?
diff -urN soojung-0.4.4/libs/util.php soojung/libs/util.php
--- soojung-0.4.4/libs/util.php	2004-11-12 07:56:52.000000000 +0900
+++ soojung/libs/util.php	2005-02-19 05:43:23.000000000 +0900
@@ -64,108 +64,6 @@
   return rmdir($dirname);
 }
 
-/** Balances Tags of string using a modified stack.
- * @param text      Text to be balanced
- * @return          Returns balanced text
- * @notes           
- * import from Wordpress
- * add balance quot
- */
-function balanceTags($text, $is_comment = 0) {
-  /*	
-  if (get_settings('use_balanceTags') == 0) {
-    return $text;
-  }
-  */
-  $tagstack = array(); 
-  $stacksize = 0; 
-  $tagqueue = ''; 
-  $newtext = '';
-
-# WP bug fix for comments - in case you REALLY meant to type '< !--'
-  $text = str_replace('< !--', '<    !--', $text);
-# WP bug fix for LOVE <3 (and other situations with '<' before a number)
-  $text = preg_replace('#<([0-9]{1})#', '&lt;$1', $text);
-
-  // close &quot; which isn't closed in MARKUP
-  $text = ereg_replace("<([^=]*)=\"([^>\"]*)>", "<\\1=\"\\2\">", $text);
-  // match MARKUP tag, $regex[1] is tagname.
-
-  while (preg_match("/<(\/?\w*)\s*([^>]*)>/",$text,$regex)) {
-    $newtext = $newtext . $tagqueue;
-
-    $i = strpos($text,$regex[0]);
-    $l = strlen($tagqueue) + strlen($regex[0]);
-
-    // clear the shifter
-    $tagqueue = '';
-    // Pop or Push
-    if ($regex[1][0] == "/") { // End Tag
-      $tag = strtolower(substr($regex[1],1));
-      // if too many closing tags
-      if($stacksize <= 0) { 
-	$tag = '';
-	//or close to be safe $tag = '/' . $tag;
-      }
-      // if stacktop value = tag close value then pop
-      else if ($tagstack[$stacksize - 1] == $tag) { // found closing tag
-	$tag = '</' . $tag . '>'; // Close Tag
-	// Pop
-	array_pop ($tagstack);
-	$stacksize--;
-      } else { // closing tag not at top, search for it
-	for ($j=$stacksize-1;$j>=0;$j--) {
-	  if ($tagstack[$j] == $tag) {
-	    // add tag to tagqueue
-	    for ($k=$stacksize-1;$k>=$j;$k--){
-	      $tagqueue .= '</' . array_pop ($tagstack) . '>';
-	      $stacksize--;
-	    }
-	    break;
-	  }
-	}
-	$tag = '';
-      }
-    } else { // Begin Tag
-      $tag = strtolower($regex[1]);
-
-      // Tag Cleaning
-
-      // Push if not img or br or hr
-      if($tag != 'br' && $tag != 'img' && $tag != 'hr' ) {
-	$stacksize = array_push ($tagstack, $tag);
-      }
-
-      // Attributes
-      // $attributes = $regex[2];
-      $attributes = $regex[2];
-      if($attributes) {
-	$attributes = ' '.$attributes;
-      }
-      $tag = '<'.$tag.$attributes.'>';
-    }
-    $newtext .= substr($text,0,$i) . $tag;
-    $text = substr($text,$i+$l);
-  }  
-
-  // Clear Tag Queue
-  $newtext = $newtext . $tagqueue;
-
-  // Add Remaining text
-  $newtext .= $text;
-
-  // Empty Stack
-  while($x = array_pop($tagstack)) {
-    $newtext = $newtext . '</' . $x . '>'; // Add remaining tags to close      
-  }
-
-  // WP fix for the bug with HTML comments
-  $newtext = str_replace("< !--","<!--",$newtext);
-  $newtext = str_replace("<    !--","< !--",$newtext);
-
-  return $newtext;
-}
-
 function trim_slash($str) {
   return trim($str, "/");
 }
@@ -259,4 +157,4 @@
   return trim($array[0]);
 }
 
-?>
\ No newline at end of file
+?>
diff -urN soojung-0.4.4/post.php soojung/post.php
--- soojung-0.4.4/post.php	2005-01-14 21:18:13.000000000 +0900
+++ soojung/post.php	2005-02-19 05:37:25.000000000 +0900
@@ -14,7 +14,9 @@
   die();
 } else if ($_POST["mode"] == "Post") {
   $title =  $_POST["title"];
-  $body = balanceTags($_POST["body"]);
+  $format = $_POST["format"];
+  $formatter = Soojung::getFormatter($format);
+  $body = $formatter->onPost($_POST["body"]);
   $date = strtotime($_POST["date"]);
   if (empty($_POST["category_input"]) == false) {
     $category = trim($_POST["category_input"]);
@@ -37,7 +39,6 @@
   if (isset($_POST["NO_RSS"])) {
     $options[] = "NO_RSS";
   }
-  $format = $_POST["format"];
 
   if (empty($title) || empty($body) || empty($date) || empty($format) || empty($category) ) {
     echo "<font color=\"red\">WARNING: Input title, body, date, category, format</font>";
@@ -59,7 +60,7 @@
   $entry = Entry::getEntry($_GET["blogid"]);
   $mode = "edit";
   $title = $entry->title;
-  $body = $entry->getBody(false);
+  $body = $entry->getRawBody();
   $date = $entry->date;
   $category = $entry->category->name;
   $options = $entry->options;
@@ -67,8 +68,10 @@
   $id = $entry->entryId;
 } else if ($_POST["mode"] == "Preview") {
   $mode = "preview";
-  $title =  $_POST["title"];
-  $body = balanceTags($_POST["body"]);
+  $title = $_POST["title"];
+  $format = $_POST["format"];
+  $formatter = Soojung::getFormatter($format);
+  $body = $formatter->onPost($_POST["body"]);
   $date = strtotime($_POST["date"]);
   if (empty($_POST["category_input"]) == false) {
     $category = trim($_POST["category_input"]);
@@ -91,7 +94,6 @@
   if (isset($_POST["NO_RSS"])) {
     $options[] = "NO_RSS";
   }
-  $format =  $_POST["format"];
   if (isset($_POST["id"]))
     $id = $_POST["id"];
 }
@@ -123,4 +125,6 @@
   $template->assign("format", $format);
 }
 $template->display('post.tpl');
+
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/rss2.php soojung/rss2.php
--- soojung-0.4.4/rss2.php	2005-01-04 20:51:52.000000000 +0900
+++ soojung/rss2.php	2005-02-19 05:37:25.000000000 +0900
@@ -37,7 +37,9 @@
     continue;
   }
 
-  $post_text = $e->getBody();
+  $post_text = $e->getRawBody();
+  $formatter = Soojung::getFormatter($e->format);
+  $post_text = $formatter->toRSS($post_text);
 
   echo "<item>\n";
   echo "<title>" . convenc($e->title) . "</title>\n";
@@ -52,3 +54,6 @@
 </channel>
 </rss>
 
+<?php
+# vim: ts=8 sw=2 sts=2 noet
+?>
diff -urN soojung-0.4.4/secure.sh soojung/secure.sh
--- soojung-0.4.4/secure.sh	1970-01-01 09:00:00.000000000 +0900
+++ soojung/secure.sh	2005-02-20 11:00:56.000000000 +0900
@@ -0,0 +1,12 @@
+#!/bin/sh
+# $Id: secure.sh,v 1.1 2005/02/20 02:00:56 ddt Exp $
+
+chmod 701 .
+RETVAL=0
+rm -f install.php
+if [ ! $RETVAL -eq 0 ]; then
+	echo 'Deleting install.php: failed. Please fix this problem and re-execute.'
+	exit
+fi
+
+echo 'OK.'
diff -urN soojung-0.4.4/sendping.php soojung/sendping.php
--- soojung-0.4.4/sendping.php	2005-02-04 23:53:37.000000000 +0900
+++ soojung/sendping.php	2005-02-19 13:13:03.000000000 +0900
@@ -4,8 +4,12 @@
 
 if ($_POST["mode"] == "post") {
   $blogid = $_POST['blogid'];
-  $trackback_url = $_POST['trackback_url'];
-  $encoding = $_POST['encoding'];
+  $trackback_url = $_POST["trackback_url"];
+  if (empty($_POST['encoding_input']) == false) {
+    $encoding = trim($_POST["encoding_input"]);
+  } else {
+    $encoding = $_POST["encoding"];
+  }
   if (empty($blogid) || empty($trackback_url) ){
     echo "input body, trackback_url";
     exit;
@@ -16,7 +20,7 @@
 /* show result of trackback ping */
   if ($result['error'] == 0) {
     echo "<html><head>\n";
-    //echo "<meta http-equiv='refresh' content='3;URL=admin.php'>";
+    echo "<meta http-equiv='refresh' content='3;URL=admin.php'>";
     echo "</head><body>\n";
     echo "Trackback sended successfully<br />\n";
     echo "After 3sec, or click <a href='admin.php'>admin page</a> to return admin page <br />\n";
@@ -45,12 +49,9 @@
 
 
 <?php
-$smarty = new UserTemplate("sendping.tpl", $blogid);
+$template = new AdminTemplate;
 
-$smarty->assign('entry', $entry);
-$smarty->assign('trackbacks', $entry->getTrackbacks());
-$smarty->assign('comments', $entry->getComments());
-
-$smarty->display('sendping.tpl');
+$template->assign('entry', $entry);
+$template->display('sendping.tpl');
+# vim: ts=8 sw=2 sts=2 noet
 ?>
-
diff -urN soojung-0.4.4/settings.php soojung/settings.php
--- soojung-0.4.4/settings.php	2005-02-04 14:27:06.000000000 +0900
+++ soojung/settings.php	2005-02-19 01:52:00.000000000 +0900
@@ -1,12 +1,14 @@
 <?php
 
-$soojung_version = '0.4.4';
+$soojung_version = '0.4.5';
 setlocale(LC_TIME, "C");
 
-if (file_exists("config.php")) {
-  include_once("config.php");
+if (!file_exists("config.php")) {
+  echo "please execute install.php first.";
+  exit;
 }
 
+include_once("config.php");
 include_once("libs/util.php");
 
 include_once("classes/Formatter.class.php");
@@ -48,7 +50,7 @@
       }
     }
     $return = "";
-    $fp = popen("echo \"$str\" | /usr/local/bin/iconv -c -f $in -t $out","r");
+    $fp = popen("echo ".escapeshellarg($str)." | /usr/local/bin/iconv -c -f $in -t $out","r");
     while(!feof($fp)) {
       $return .= fgets($fp,1024);
     }
@@ -111,4 +113,6 @@
 
 get_count();
 Soojung::addReferer();
+
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/setup.sh soojung/setup.sh
--- soojung-0.4.4/setup.sh	1970-01-01 09:00:00.000000000 +0900
+++ soojung/setup.sh	2005-02-20 11:20:14.000000000 +0900
@@ -0,0 +1,36 @@
+#!/bin/sh
+# $Id: setup.sh,v 1.2 2005/02/20 02:20:14 mithrandir Exp $
+
+curdir=`pwd`
+
+# 수정 블로그의 루트 디렉토리에서 실행하고 있는지 간단히 체크
+if [ ! -f $curdir/setup.sh -o ! -f $curdir/index.php ] ; then
+	echo "Oops! Execute this at soojung blog's root directory please."
+	echo
+	echo "  (ex) cd ~/public_html/soojung ; ./$0"
+	exit
+fi
+
+# chmod go+w .
+RETVAL=0
+chmod go+w .
+RETVAL=$?
+if [ ! $RETVAL -eq 0 ]; then
+	echo "chmod go+w . : failed. Fix this problem manually and re-execute."
+	exit
+else
+	echo "chmod go+w . : success."
+fi
+
+# chmod go+w templates
+RETVAL=0
+chmod go+w templates/
+RETVAL=$?
+if [ ! $RETVAL -eq 0 ]; then
+	echo "chmod gw+w templates : failed. Fix this problem manually and re-execute."
+	exit
+else
+	echo "chmod go+w templates : success."
+fi
+
+echo 'All is OK.'
diff -urN soojung-0.4.4/templates/acid/footer.tpl soojung/templates/acid/footer.tpl
--- soojung-0.4.4/templates/acid/footer.tpl	2005-02-03 07:43:37.000000000 +0900
+++ soojung/templates/acid/footer.tpl	2005-02-19 18:02:46.000000000 +0900
@@ -2,7 +2,7 @@
 
 <div id="footer">
 <p>
-Copyleft 2004-2005 soojung devel team, all rights reserved.<br />
+{$license_link}<br />
 Powered by <a href="http://soojung.kldp.net">soojung {$soojung_version}</a>
 </p>
 
diff -urN soojung-0.4.4/templates/acid/header.tpl soojung/templates/acid/header.tpl
--- soojung-0.4.4/templates/acid/header.tpl	2005-02-03 07:47:36.000000000 +0900
+++ soojung/templates/acid/header.tpl	2005-02-20 11:13:25.000000000 +0900
@@ -26,9 +26,9 @@
 </ul>
 
 <h3><a href="#none" onclick="return fold_sidebar('div_calendar');">Calendar</a></h3>
-<ul id="div_calendar">
-	{$calendar->get_calendar()}
-</ul>
+<div id="div_calendar">
+	{$calendar->getCalendar()}
+</div>
 
 <h3><a href="#none" onclick="return fold_sidebar('div_category');">Categories</a></h3>
 <ul id="div_category">
@@ -102,7 +102,7 @@
 <ul id="div_bookmark" class="div_hide">
 	{foreach from=$bookmarks item=bookmark}
 	<li>
-		<a href="{$bookmark.url}">{$bookmark.desc}</a>
+		<a href="{$bookmark->url}">{$bookmark->name}</a>
 	</li>
 	{foreachelse}
 	<li></li>
diff -urN soojung-0.4.4/templates/acid/sendping.tpl soojung/templates/acid/sendping.tpl
--- soojung-0.4.4/templates/acid/sendping.tpl	2005-02-03 07:43:37.000000000 +0900
+++ soojung/templates/acid/sendping.tpl	1970-01-01 09:00:00.000000000 +0900
@@ -1,27 +0,0 @@
-{include file="header.tpl"}
-
-<div class="entry">
-<h2>{$entry->title}</h2>
-{$entry->getBody()}
-<p class="posted">{$entry->date|date_format:"%B %d, %Y"}</p>
-</div>
-
-<div class="trackbacks">
-
-<div class="trackback_url">TrackBack URL of this entry: {$baseurl}/trackback.php?blogid={$entry->entryId}</div>
-<a name="trackback"></a>
-</div>
-
-<div class="trackback_entry">
-     <form action="sendping.php" method="post">
-     Trackback URL to send trackback ping: <br /> 
-     <input type="text" name="trackback_url" value="http://"><br /><br />
-     
-     Remote Blog's encoding : <input type="text" name="encoding" value="UTF-8"><br />
-     <input type="hidden" name="mode" value="post">
-     <input type="hidden" name="blogid" value={$entry->entryId}>
-     <input type="submit" value="Send Ping"><br />
-</form>
-
-</div>
-{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/admin/bookmark.tpl soojung/templates/admin/bookmark.tpl
--- soojung-0.4.4/templates/admin/bookmark.tpl	2005-01-25 22:14:36.000000000 +0900
+++ soojung/templates/admin/bookmark.tpl	2005-02-20 11:13:25.000000000 +0900
@@ -2,23 +2,44 @@
 {include file="menu.tpl"}
 
 <div id="bookmark">
-
-<form action="{$baseurl}/bookmark.php" method="post">
-	Url : 
-	<input type="text" name="url" value="http://"> 
-	<br />
-	
-	Description : 
-	<input type="text" name="desc" value="">
-	<br />
-
-	<input type="submit" name="mode" value="post">
-</form>
-
-{foreach from=$bookmarks item=bookmark}
-	<a href="{$baseurl}/bookmark.php?mode=delete&amp;url={$bookmark.url}">delete</a> 
-	<a href="{$bookmark.url}">{$bookmark.desc}</a><br />
+<a href="bookmark_post.php">add new bookmark</a>
+<form method="post">
+<table>
+	<tr>
+	<td>name</td> 
+	<td>url</td>
+	<td>image</td>
+	<td>description</td>
+	<td colspan=2>action</td>
+	<td>move</td>
+	<td>X</td>
+	</tr>
+{foreach from=$bookmarks item=bookmark name=bookmark}
+	<tr>
+	<td>{$bookmark->name}</td>
+	<td>{$bookmark->url}</td>
+	<td><img src="{$bookmark->image}" /></td>
+	<td>{$bookmark->desc}</td>	
+	<td><a href="{$baseurl}/bookmark_post.php?number={$bookmark->number}">Edit</a></td>
+	<td><a href="{$baseurl}/bookmark.php?mode=delete&amp;number={$bookmark->number}">Delete</a></td>
+	<td>
+	{if $smarty.foreach.bookmark.first}
+		<span style="color:white;">&uArr;</span>
+	{else}
+		<a href="{$baseurl}/bookmark.php?mode=move&amp;offset=-1&amp;number={$bookmark->number}">&uArr;</a>
+	{/if}
+	{if $smarty.foreach.bookmark.last}
+		<span style="color:white;">&dArr;</span>
+	{else}
+		<a href="{$baseurl}/bookmark.php?mode=move&amp;offset=1&amp;number={$bookmark->number}">&dArr;</a>
+	{/if}
+	</td>
+	<td><input type="checkbox" name="delchk[{$bookmark->number}]" /></td>
+	</tr>
 {/foreach}
-
+</table>
+<input type="hidden" name="mode" value="delete" />
+<input type="submit" value="delete selected" />	
+</form>
 </div>
-{include file="footer.tpl"}
\ No newline at end of file
+{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/admin/bookmark_post.tpl soojung/templates/admin/bookmark_post.tpl
--- soojung-0.4.4/templates/admin/bookmark_post.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/admin/bookmark_post.tpl	2005-02-20 11:13:25.000000000 +0900
@@ -0,0 +1,28 @@
+{include file="header.tpl"}
+{include file="menu.tpl"}
+
+<div id="bookmark">
+
+<form action="{$baseurl}/bookmark_post.php" method="post">
+	Name :
+	<input type="text" name="name" value="{$name}">
+	<br />
+
+	Url : 
+	<input type="text" name="url" value="{$url}"> 
+	<br />
+	
+	Description :
+	<input type="text" name="desc" value="{$desc}">
+	<br />
+
+	Image URL :
+	<input type="text" name="image" value="{$image}">
+	<br />
+
+	<input type="hidden" name="number" value="{$number}">
+	<input type="submit" name="mode" value="post">
+</form>
+
+</div>
+{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/admin/config.tpl soojung/templates/admin/config.tpl
--- soojung-0.4.4/templates/admin/config.tpl	2005-02-05 14:11:55.000000000 +0900
+++ soojung/templates/admin/config.tpl	2005-02-19 18:02:46.000000000 +0900
@@ -32,6 +32,22 @@
 </div>
 
 <div class="row">
+<span class="label">Entries License:</span>
+<span class="formw">
+<select name="license">
+<option value="none" {if $license == "none"}selected{/if}>None (All rights reserved)</option>
+<option value="by" {if $license == "by"}selected{/if}>Attribution License</option>
+<option value="by-nd" {if $license == "by-nd"}selected{/if}>Attribution-NoDerivs License</option>
+<option value="by-nc-nd" {if $license == "by-nc-nd"}selected{/if}>Attribution-NonCommercial-NoDerivs License</option>
+<option value="by-nc" {if $license == "by-nc"}selected{/if}>Attribution-NonCommercial License</option>
+<option value="by-nc-sa" {if $license == "by-nc-sa"}selected{/if}>Attribution-NonCommercial-ShareAlike License</option>
+<option value="by-sa" {if $license == "by-sa"}selected{/if}>Attribution-ShareAlike License</option>
+</select>
+<a href="http://creativecommons.org/licenses/">see more licenses information</a>
+</span>
+</div>
+
+<div class="row">
 <span class="label">Admin Name:</span>
 <span class="formw"><input type="text" name="adminname" value="{$admin_name}"></span>
 </div>
@@ -84,4 +100,4 @@
 </form>
 
 </div>
-{include file="footer.tpl"}
\ No newline at end of file
+{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/admin/data.tpl soojung/templates/admin/data.tpl
--- soojung-0.4.4/templates/admin/data.tpl	2005-01-25 22:14:36.000000000 +0900
+++ soojung/templates/admin/data.tpl	2005-02-19 10:12:31.000000000 +0900
@@ -22,9 +22,19 @@
 <input type="submit" value="import!" />
 </form>
 
-<h3>import from wordpress</h3>
-<form action="{$baseurl}/admin.php" method="post">
-Input wordpress database info<br />
+<h3>import from other blogs</h3>
+<p>select your blog:
+<select onchange="return switchDiv(this);">
+<option selected="selected"></option>
+<option value="import_wp">Wordpress</option>
+<option value="import_tt">Tattertools</option>
+<option value="import_b2">B2</option>
+<option value="import_zb">Zeroboard (or ZOG)</option>
+</select>
+</p>
+
+<form action="{$baseurl}/admin.php" method="post" id="import_wp" class="hide">
+<h4>Wordpress</h4>
 DB server: <input type="text" name="db_server" /><br />
 DB username: <input type="text" name="db_user" /><br />
 DB password: <input type="password" name="db_pass" /><br />
@@ -35,9 +45,8 @@
 <input type="submit" value="import!" />
 </form>
 
-<h3>import from tattertools</h3>
-<form action="{$baseurl}/admin.php" method="post">
-Input tettertools database info<br />
+<form action="{$baseurl}/admin.php" method="post" id="import_tt" class="hide">
+<h4>Tattertools</h4>
 DB server: <input type="text" name="db_server" /><br />
 DB username: <input type="text" name="db_user" /><br />
 DB password: <input type="password" name="db_pass" /><br />
@@ -48,9 +57,8 @@
 <input type="submit" value="import!" />
 </form>
 
-<h3>import from B2</h3>
-<form action="{$baseurl}/admin.php" method="post">
-Input B2 database info<br />
+<form action="{$baseurl}/admin.php" method="post" id="import_b2" class="hide">
+<h4>B2</h4>
 DB server: <input type="text" name="db_server" /><br />
 DB username: <input type="text" name="db_user" /><br />
 DB password: <input type="password" name="db_pass" /><br />
@@ -61,5 +69,18 @@
 <input type="submit" value="import!" />
 </form>
 
+<form action="{$baseurl}/admin.php" method="post" id="import_zb" class="hide">
+<h4>Zeroboard (or ZOG)</h4>
+DB server: <input type="text" name="db_server" /><br />
+DB username: <input type="text" name="db_user" /><br />
+DB password: <input type="password" name="db_pass" /><br />
+DB name: <input type="text" name="db_name" /><br />
+Table prefix: <input type="text" name="prefix" value="zetyx_board_" /><br />
+Encoding: <input type="text" name="encoding" value="cp949" /><br />
+Board ID: <input type="text" name="boardid" /><br />
+<input type="hidden" name="mode" value="import_zb" />
+<input type="submit" value="import!" />
+</form>
+
 </div>
 {include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/admin/javascript.js soojung/templates/admin/javascript.js
--- soojung-0.4.4/templates/admin/javascript.js	2004-11-06 01:39:48.000000000 +0900
+++ soojung/templates/admin/javascript.js	2005-02-19 10:12:31.000000000 +0900
@@ -1,3 +1,28 @@
 function go(loc) {
-window.location.href = loc;
+	window.location.href = loc;
 }
+
+function appendLink(link) {
+	if(window.opener) {
+		var target = window.opener.document.postForm.body;
+		target.value += link;
+	}
+	return false;
+}
+
+function switchDiv(field) {
+	selected = field.options[field.selectedIndex].value;
+	for(i=0; i<field.length; i++) {
+		value = field.options[i].value;
+		if(value) {
+			div = document.getElementById(value);
+			if(value == selected) {
+				div.className = '';
+			} else {
+				div.className = 'hide';
+			}
+		}
+	}
+	return false;
+}
+
diff -urN soojung-0.4.4/templates/admin/list.tpl soojung/templates/admin/list.tpl
--- soojung-0.4.4/templates/admin/list.tpl	2005-02-05 14:29:29.000000000 +0900
+++ soojung/templates/admin/list.tpl	2005-02-19 18:07:16.000000000 +0900
@@ -3,6 +3,18 @@
 
 <div id="list">
 
+<p class="navbar">
+{if $prev_page_link != ""}
+	<a href="{$prev_page_link|escape}">&laquo; prev</a>
+{/if}
+{if $prev_page_link != "" && $next_page_link != ""}
+	&nbsp;&nbsp;
+{/if}
+{if $next_page_link != ""}
+	<a href="{$next_page_link|escape}">next &raquo;</a>
+{/if}
+</p>
+
 <span class="subject"><b>Subject</b></span>
 <span class="trackback_ping"><b>Trackback</b></span>
 <span class="delete"><b>Delete</b></span>
@@ -31,6 +43,7 @@
 	{/foreach}
 
 {/foreach}
+
 </div>
 
 {include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/admin/post.tpl soojung/templates/admin/post.tpl
--- soojung-0.4.4/templates/admin/post.tpl	2005-01-25 22:14:36.000000000 +0900
+++ soojung/templates/admin/post.tpl	2005-02-19 05:38:46.000000000 +0900
@@ -11,7 +11,7 @@
 {/if}
 
 <div id="post">
-<form action="{$baseurl}/post.php" method="post">
+<form action="{$baseurl}/post.php" method="post" name="postForm">
 <div class="row">
 <span class="label">Title:</span>
 <span class="formw"><input type="text" name="title" value="{$title}"></span>
@@ -61,7 +61,7 @@
 <div class="row">
 <span class="label">Body:</span>
 <span class="formw">
-<textarea id="body" name="body" rows="10" cols="65">{$body}</textarea>
+<textarea id="body" name="body" rows="10" cols="65">{$body|escape}</textarea>
 {if $format == "html"}
 <script type="text/javascript">
 	var oFCKeditor = new FCKeditor('body');
@@ -94,4 +94,4 @@
 
 </form>
 </div>
-{include file="footer.tpl"}
\ No newline at end of file
+{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/admin/sendping.tpl soojung/templates/admin/sendping.tpl
--- soojung-0.4.4/templates/admin/sendping.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/admin/sendping.tpl	2005-02-19 13:13:04.000000000 +0900
@@ -0,0 +1,35 @@
+{include file="header.tpl"}
+{include file="menu.tpl"}
+
+<div id="sendping">
+<h2>{$entry->title}</h2>
+{$entry->getBody()}
+<p class="posted">{$entry->date|date_format:"%B %d, %Y"}</p>
+
+<div class="trackbacks">
+
+<div class="trackback_url">TrackBack URL of this entry: {$baseurl}/trackback.php?blogid={$entry->entryId}</div>
+<a name="trackback"></a>
+</div>
+
+<div class="trackback_entry">
+     <form action="sendping.php" method="post">
+     Trackback URL to send trackback ping: <br /> 
+     <input type="text" name="trackback_url" value="http://"><br /><br />
+
+     Remote Blog's encoding :
+     <select name="encoding">
+         <option value="UTF-8" selected="selected">UTF-8</option>
+         <option value="CP949">cp949 (euc-kr)</option>
+     </select> 
+     or 
+     <input type="text" name="encoding_input" value=""> 
+     <br />
+     <input type="hidden" name="mode" value="post">
+     <input type="hidden" name="blogid" value={$entry->entryId}>
+     <input type="submit" value="Send Ping"><br />
+</form>
+
+</div>
+</div>
+{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/admin/styles.css soojung/templates/admin/styles.css
--- soojung-0.4.4/templates/admin/styles.css	2005-02-05 14:11:55.000000000 +0900
+++ soojung/templates/admin/styles.css	2005-02-20 11:16:05.000000000 +0900
@@ -52,7 +52,7 @@
   color: #fff;
 }
 
-#list, #post, #config, #data, #bookmark, #overview
+#list, #post, #config, #data, #bookmark, #overview, #sendping
 { 
   margin:0px 0px 10px 170px;
   padding:10px;
@@ -163,4 +163,28 @@
 {
   position:absolute;
   left: 700px;
-}
\ No newline at end of file
+}
+
+.navbar
+{
+  margin: 0px;
+  padding: 5px 10px 20px 10px;
+}
+
+.hide
+{
+  display:none;
+}
+
+table
+{
+    margin: 5px 0px 5px 0px;
+    padding: 0px;
+    background: #7cb4fb;
+}
+table td
+{
+    margin: 0px;
+    padding: 2px;
+    background: white;
+}
diff -urN soojung-0.4.4/templates/admin/upload.tpl soojung/templates/admin/upload.tpl
--- soojung-0.4.4/templates/admin/upload.tpl	2004-12-24 10:34:55.000000000 +0900
+++ soojung/templates/admin/upload.tpl	2005-02-19 00:24:20.000000000 +0900
@@ -1,5 +1,10 @@
 <html>
-<head></head>
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
+<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/admin/styles.css"/>
+<script type="text/javascript" src="{$baseurl}/templates/admin/javascript.js"></script>
+<title>Admin Upload</title>
+</head>
 <body>
 
 <form enctype="multipart/form-data" action="{$baseurl}/upload.php" method="post">
@@ -9,10 +14,22 @@
 </form>
 
 <!-- file list -->
+<table>
+<tr><th>File name</th><th>Action</th></tr>
 {foreach from=$files item=file}
-	{$baseurl}/{$file}
-	<a href="{$baseurl}/upload.php?mode=delete&file={$file}">delete</a><br />
+<tr>
+<td>
+<a href="{$file.path|escape}" onclick="window.open('{$baseurl}/{$file.path|escape:'quotes'|escape}');return false;">{$file.name|escape}</a>
+</td>
+<td>
+<strong>
+<a href="#" onclick="return appendLink('{$baseurl}/{$file.path|escape:'quotes'|escape}');">append</a>
+<a href="{$baseurl}/upload.php?mode=delete&file={$file.path|escape:'url'|escape}">delete</a>
+</strong>
+</td>
+</tr>
 {/foreach}
+</table>
 
 </body>
-</html>
\ No newline at end of file
+</html>
diff -urN soojung-0.4.4/templates/asual/asual.css soojung/templates/asual/asual.css
--- soojung-0.4.4/templates/asual/asual.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/asual/asual.css	2005-02-15 10:15:06.000000000 +0900
@@ -0,0 +1,332 @@
+body {
+	font: 75% 'Lucida Sans Unicode', 'Lucida Grande', 'Bitstream Vera Sans', 'Trebuchet MS', Geneva, Arial, sans-serif;
+	background: #FFFFFF url(images/asual-bg.jpg) repeat-x;
+	color: #000000;
+	text-align: center;
+}
+body, div, h1, h2, h3, h4, p, form, img, ul, li {
+	margin: 0;
+	padding: 0;
+}
+img {
+	border: 0;
+}
+input, textarea, select {
+	font: 100% 'Lucida Sans Unicode', 'Lucida Grande', 'Bitstream Vera Sans', 'Trebuchet MS', Geneva, Arial, sans-serif;
+}
+textarea {
+	width: 300px;
+}
+a {
+	color: #365483;
+}
+a:visited {
+	color: #333333;
+}
+a:hover {
+	color: #CC0000;
+}
+#main {
+	width: 770px;
+	margin: 0 auto;
+	text-align: left;
+}
+#header{
+	width: 100%;
+	height: 80px;
+}
+#header h1 {
+	float: left;
+	margin: 26px 0 16px 30px;
+	display: inline;
+	font-size: 100%;
+}
+#header h1 a {
+	font-size: 200%;
+	display: block;
+	text-decoration: none;
+	color: #365483;
+	margin-left: -1px;
+}
+#header h1 a:hover {
+	color: #CC0000;
+}
+#header h1 span {
+	font-size: 120%;
+	font-weight: normal;
+}
+#footer {
+	width: 100%;
+	clear: both;
+	margin-bottom: 30px;
+}
+#footer p {
+	font-size: 90%;
+}
+#copyright {
+	float: left;
+	padding-left: 32px;
+}
+#info {
+	float: right;
+	padding-right: 32px;
+}
+#info a {
+	color: #000000;
+}
+#info a:hover {
+	color: #365483;
+}
+#content {
+	width: 100%;
+	background: url(images/asual-content.jpg) repeat-y;
+	clear: both;
+}
+#content h3 {
+	font-size: 120%;
+	color: #365483;
+}
+#chead {
+	background: #FFFFFF url(images/asual-chead.jpg) no-repeat;
+	width: 100%;
+	height: 28px;
+}
+#cfoot {
+	background: #FFFFFF url(images/asual-cfoot.jpg) no-repeat left bottom;
+	width: 100%;
+	height: 24px;
+	clear: both;
+	margin-top: 10px;
+}
+#cbody {
+	background: url(images/asual-cbody.jpg) repeat-x;
+	width: auto;
+	height: 200px;
+	margin: 0 9px;
+	padding: 0 21px;
+}
+#cbody h2 {
+	font-size: 140%;
+	font-weight: normal;
+	float: left;
+	width: 100%;
+}
+#cbody h2 a {
+	color: #333333;
+	text-decoration: none;
+}
+#cbody h2 a:hover {
+	color: #CC0000;
+}
+#nav {
+	width: 100%;
+	clear: both;
+	float: left;
+	height: 2em;
+}
+#clear {
+	clear: both;
+	height: 0px;
+	overflow: hidden;
+}
+#entries {
+	width: 100%;
+	float: left; 
+	clear: both;
+	margin-right: -20em;
+}
+* html #entries{
+	overflow: hidden;
+}
+#column {
+	width: 18em; 
+	float: right;
+}
+#column div {
+	display: block;
+	margin-bottom: 20px;
+}
+#column ul {
+	list-style: none;
+}
+#column a {
+	color: #365483;
+}
+#column a:hover {
+	color: #CC0000;
+}
+#calendar {
+	background: #F4F9FD;
+	border: 1px solid #365483;
+	width: auto;
+	padding: 3px;
+}
+#calendar table {
+	width: 100%;
+	border-collapse: collapse
+}
+#calendar caption {
+	font-size: 120%;
+	font-weight: bold;
+	text-align: center;
+	color: #365483;
+	margin-bottom: 2px;
+}
+#calendar th, #calendar td {
+	margin: 0;
+	padding: 0 1px 1px 0;
+	text-align: center;
+}
+#calendar thead th {
+	font-size: 90%;
+}
+#calendar tfoot a {
+	color: #365483;
+}
+#calendar tfoot a:hover {
+	color: #CC0000;
+}
+#calendar tbody a {
+	background: #365483;
+	text-align: center;
+	text-decoration: none;
+	color: #FFFFFF;
+	display: block;
+}
+#calendar tbody a:hover {
+	color: #FFFFFF;
+	background: #CC0000;
+}
+#searchbox {
+	clear: right;
+	float: right;
+	width: 14em;
+	text-align: right;
+	border: 0;
+	margin: 26px 29px 0 0;
+	display: inline;
+}
+#searchlabel {
+	margin: 0 0 4px 0;
+}
+#searchimg {
+	float: right;
+	margin-right: 2px;
+}
+#searchimg input {
+	border: 0;
+	padding: 0;
+}
+#searchfield {
+	float: right;
+}
+#searchfield input {
+	border: 1px solid #365483;
+	width: 10em;
+	padding: 1px;
+}
+#blojsom {
+	margin-top: 40px;
+}
+div.entry {
+	padding: 0;
+	margin: 0 20em 3em 0;
+}
+div.entry h3 {
+	border-bottom: 1px solid #365483;
+}
+div.entry h3 a, div.entry h3 a:visited {
+	color: #365483;
+	text-decoration: none;
+}
+div.entry h3 a:hover {
+	color: #CC0000;
+}
+div.entry div, div.entry p {
+	line-height: 18px;
+	margin-bottom: 1em;
+}
+div.entry p.links a, div.entry p.links a:visited {
+	color: #365483;
+}
+div.entry p.links a:hover {
+	color: #CC0000;
+}
+div.entry span {
+	margin-right: 4px;
+}
+div.entry ul {
+	margin: 10px 0;
+}
+div.entry li {
+	padding-left: 10px;
+	list-style: none;
+	background: url(images/asual-disc.jpg) no-repeat 0 .5em;
+}
+div.entry blockquote {
+	margin: 10px;
+	padding-left: 20px;
+	background: url(images/asual-blockquote.jpg) no-repeat;	
+}
+div.entrybody {
+	padding-top: 10px;
+}
+div.comment {
+	padding: 0;
+	margin: 0 0 20px 0;
+}
+div.trackback {
+	padding: 0;
+	margin: 0 0 20px 0;
+}
+#trackbacks, #comments {
+	padding: 0;
+	margin: 0 20em 3em 0;
+}
+#trackbacks h3, #comments h3 {
+	font-size: 100%;
+	font-weight: bold;
+	color: #000000;
+	padding: 10px 0;
+	clear: both;
+}
+#commentform {
+	display: block;
+	margin-top: 10px;
+	padding-top: 20px;
+	border-top: 1px solid #365483;
+}
+#commentform .label {
+	width: 8em;
+	float: left;
+	clear: both;
+	margin-bottom: 5px;
+}
+#commentform .input {
+	width: 240px;
+	float: left;
+	margin-bottom: 5px;
+}
+#commentform .button {
+	width: auto;
+	float: left;
+}
+#commentform .fixed {
+	width: 240px;
+}
+#commentform textarea {
+	overflow: auto;
+}
+#commentPreview {
+	margin-bottom: 20px;
+}
+img.emoticons {
+	vertical-align: middle
+}
+.blue {
+	display: block;
+	color: #365483;
+}
+.red {
+	color: #CC0000;
+}
diff -urN soojung-0.4.4/templates/asual/entry.tpl soojung/templates/asual/entry.tpl
--- soojung-0.4.4/templates/asual/entry.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/asual/entry.tpl	2005-02-15 10:15:06.000000000 +0900
@@ -0,0 +1,85 @@
+{include file="header.tpl"}
+
+			<h2><a href="{$baseurl}">Blog</a></h2>
+			<div id="nav"></div>
+			<div id="clear"></div>
+			<div id="entries">
+<div class="entry">
+	<h3>{$entry->title}</h3>
+	<div class="entrybody">
+		{$entry->getBody()}
+	</div>
+	<p>
+		<span class="blue">{$entry->date|date_format:"%B %d, %Y"}</span>
+		{if $entry->isSetOption("NO_COMMENT") == false}
+			<span>Comments [<a class="plink" href="{$entry->getHref()}#comment">{$entry->getCommentCount()}</a>]</span>
+		{/if}
+		{if $entry->isSetOption("NO_TRACKBACK") == false}
+			<span>Trackbacks [<a class="plink" href="{$entry->getHref()}#trackback">{$entry->getTrackbackCount()}</a>]</span>
+		{/if}
+	</p>
+</div>
+{if $entry->isSetOption("NO_TRACKBACK") == false}
+<div id="trackbacks">
+	<a name="trackback"></a>
+	<h3>Trackbacks on this entry:</h3>
+	<p>
+		TrackBack URL: {$baseurl}/trackback.php?blogid={$entry->entryId}
+	</p>
+{foreach from=$trackbacks item=trackback}
+	<div class="trackback">
+		<a name="{$trackback->date}"></a>
+		<p class="blue">
+			Trackback from <a href="{$trackback->url}">{$trackback->url}</a>
+		</p>
+		<p>{$trackback->title}:</p>
+		<p>
+			{$trackback->getExcerpt()|strip_tags}
+		</p>
+	</div>
+{/foreach}
+</div>
+{/if}
+
+{if $entry->isSetOption("NO_COMMENT") == false}
+<div id="comments">
+	<a name="comment"></a>
+	<h3>Comments on this entry:</h3>
+{foreach from=$comments item=comment}
+	<div class="comment">
+		<a name="{$comment->date}"></a>
+		<p class="blue">
+			Left on {$comment->date|date_format:"%B %d, %Y %I:%M %p"} by
+			{if $comment->homepage != ""}
+				<a href="{$comment->homepage}">{$comment->name}</a>
+			{elseif $comment->email != ""}
+				<a href=mailto:"{$comment->email}">{$comment->name}</a>
+			{else}
+				{$comment->name}
+			{/if}
+		</p>
+		<p>
+			{$comment->getBody()}
+		</p>
+	</div>
+{/foreach}
+	<form id="commentform" action="." method="post">
+		<p>
+			<input type="hidden" name="blogid" value="{$entry->entryId}" />
+		</p>
+		<p class="label">Author (<span class="red">*</span>):</p>
+		<p class="input"><input type="text" name="name" value="{$w_name}" /></p>
+		<p class="label">E-mail:</p>
+		<p class="input"><input type="text" name="email" value="{$w_email}" /></p>
+		<p class="label">URL:</p>
+		<p class="input"><input type="text" name="url" value="{$w_url|default:"http://"}" /></p>
+		<p class="label">Comment (<span class="red">*</span>):</p>
+		<p class="input"><textarea name="body" rows="5" cols="40"></textarea></p>
+		<p class="label">&nbsp;</p>
+		<p class="input"><input type="submit" value="Post" /></p>
+	</form>
+</div>
+{/if}
+			</div>
+
+{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/asual/footer.tpl soojung/templates/asual/footer.tpl
--- soojung-0.4.4/templates/asual/footer.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/asual/footer.tpl	2005-02-20 11:13:26.000000000 +0900
@@ -0,0 +1,100 @@
+			<div id="column">
+
+<!--
+{$calendar->getCalendar()}
+-->
+<div>
+	<strong>Menu:</strong>
+	<ul>
+		<li><a href="{$baseurl}/index.php">main</a></li>
+		<li><a href="{$baseurl}/admin.php">admin</a></li>
+		{foreach from=$static_entries item=static}
+		<li><a href="{$static->getHref()}">{$static->title}</a></li>
+		{/foreach}
+	</ul>
+</div>
+<div>
+	<strong>Categories:</strong>
+	<ul>
+		{foreach from=$categories item=category}
+		<li>
+			<a href="{$category->getHref()}">{$category->name}</a> 
+			({$category->getEntryCount()})
+		</li>
+		{foreachelse}
+		<li></li>
+		{/foreach}
+	</ul>
+</div>
+<div>
+	<strong>Syndication:</strong>
+	<p><a href="{$baseurl}/rss2.php">RSS2</a></p>
+</div>
+<div>
+	<strong>Archives:</strong>
+	<ul>
+		{foreach from=$archvies item=archive}
+		<li>
+			<a href="{$archive->getHref()}">{$archive->getDate()|date_format:"%B %Y"}</a>
+		</li>
+		{foreachelse}
+		<li></li>
+		{/foreach}
+	</ul>
+</div>
+<div>
+	<strong>Recently:</strong>
+	<ul>
+		{foreach from=$recent_entries item=entry}
+		<li>
+			<a href="{$entry->getHref()}">{$entry->title}</a>
+		</li>
+		{foreachelse}
+		<li></li>
+		{/foreach}
+	</ul>
+</div>
+{if count($recent_referers) != 0}
+<div>
+	<strong>Recent Referers:</strong>
+	<ul>
+		{foreach from=$recent_referers item=referer}
+		<li>
+			<a href="{$referer}">{$referer}</a>
+		</li>
+		{/foreach}
+	</ul>
+</div>
+{/if}
+
+{if count($bookmarks) != 0}
+<div>
+	<strong>Bookmarks:</strong>
+	<ul>
+		{foreach from=$bookmarks item=bookmark}
+		<li>
+			<a href="{$bookmark->url}">{$bookmark->desc}</a>
+		</li>
+		{foreachelse}
+		<li></li>
+		{/foreach}
+	</ul>
+</div>
+{/if}
+<div>
+	<p>Today : {$today_count}</p>
+	<p>Total : {$total_count}</p>
+</div>
+			</div>
+		</div>
+		<div id="cfoot"></div>
+	</div>
+
+	<div id="footer">
+		<p id="copyright">{$license_link} Design based on Asual <a href="http://blojsom.sourceforge.net">blojsom</a> theme.</p>
+		<p id="info">Powered by <a href="http://soojung.kldp.net">soojung {$soojung_version}</a>. Valid <a href="http://validator.w3.org/check?uri=referer">XHTML</a></p>
+	</div>
+
+</div>
+</body>
+</html>
diff -urN soojung-0.4.4/templates/asual/header.tpl soojung/templates/asual/header.tpl
--- soojung-0.4.4/templates/asual/header.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/asual/header.tpl	2005-02-15 10:15:06.000000000 +0900
@@ -0,0 +1,29 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<html>
+<head>
+	<title>{$title}</title>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+
+	<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/asual.css" />
+	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="{$baseurl}/rss2.php" />
+</head>
+<body>
+
+<div id="main">
+	<div id="header">
+		<h1>
+			<a href="{$baseurl}" title="{$description}">{$title}</a>
+			<span>{$description}</span>
+		</h1>
+		<div id="searchbox">
+			<form action="index.php" method="get">
+			<p id="searchlabel"><label for="searchfield">Search:</label></p>
+			<p id="searchfield"><input type="text" name="search" title="input search text" /></p>
+			<p id="searchimg"><input type="image" src="{$baseurl}/templates/{$skin}/images/asual-search.jpg" value="submit" alt="Search" /></p>
+			</form>
+		</div>
+	</div>
+
+	<div id="content">
+		<div id="chead"></div>
+		<div id="cbody">
Binary files soojung-0.4.4/templates/asual/images/asual-bg.jpg and soojung/templates/asual/images/asual-bg.jpg differ
Binary files soojung-0.4.4/templates/asual/images/asual-blockquote.jpg and soojung/templates/asual/images/asual-blockquote.jpg differ
Binary files soojung-0.4.4/templates/asual/images/asual-cbody.jpg and soojung/templates/asual/images/asual-cbody.jpg differ
Binary files soojung-0.4.4/templates/asual/images/asual-cfoot.jpg and soojung/templates/asual/images/asual-cfoot.jpg differ
Binary files soojung-0.4.4/templates/asual/images/asual-chead.jpg and soojung/templates/asual/images/asual-chead.jpg differ
Binary files soojung-0.4.4/templates/asual/images/asual-content.jpg and soojung/templates/asual/images/asual-content.jpg differ
Binary files soojung-0.4.4/templates/asual/images/asual-disc.jpg and soojung/templates/asual/images/asual-disc.jpg differ
Binary files soojung-0.4.4/templates/asual/images/asual-search.jpg and soojung/templates/asual/images/asual-search.jpg differ
diff -urN soojung-0.4.4/templates/asual/index.tpl soojung/templates/asual/index.tpl
--- soojung-0.4.4/templates/asual/index.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/asual/index.tpl	2005-02-15 10:15:06.000000000 +0900
@@ -0,0 +1,65 @@
+{include file="header.tpl"}
+
+			<h2><a href="{$baseurl}">Blog</a></h2>
+			<div id="nav"></div>
+			<div id="clear"></div>
+			<div id="entries">
+
+{if $view == "index"}
+	{foreach from=$entries item=entry}
+
+<div class="entry">
+	<h3><a href="{$entry->getHref()}">{$entry->title}</a></h3>
+	<div class="entrybody">
+	{$entry->getBody()}
+	</div>
+	<p>
+		<span class="blue">{$entry->date|date_format:"%B %d, %Y"}</span>
+		{if $entry->isSetOption("NO_COMMENT") == false}
+			<span>Comments [<a class="plink" href="{$entry->getHref()}#comment">{$entry->getCommentCount()}</a>]</span>
+		{/if}
+		{if $entry->isSetOption("NO_TRACKBACK") == false}
+			<span>Trackbacks [<a class="plink" href="{$entry->getHref()}#trackback">{$entry->getTrackbackCount()}</a>]</span>
+		{/if}
+	</p>
+</div>
+	{/foreach}
+
+	{if $prev_page_link != ""}
+		<a href="{$prev_page_link}">prev</a>
+	{/if}
+	{if $next_page_link != ""}
+		<a href="{$next_page_link}">next</a>
+	{/if}
+
+{elseif $view == "archive"}
+	{foreach from=$entries item=entry}
+<div class="entry">
+	<p>
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+		on {$entry->date|date_format:"%B %d, %Y"}
+	</p>
+</div>
+	{/foreach}
+{elseif $view == "category"}
+	{foreach from=$entries item=entry}
+<div class="entry">
+	<p>
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+		on {$entry->date|date_format:"%B %d, %Y"}
+	</p>
+</div>
+	{/foreach}
+{elseif $view == "search"}
+	{foreach from=$entries item=entry}
+<div class="entry">
+	<p>
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+		on {$entry->date|date_format:"%B %d, %Y"}
+	</p>
+</div>
+	{/foreach}
+{/if}
+			</div>
+
+{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/ocean/entry.tpl soojung/templates/ocean/entry.tpl
--- soojung-0.4.4/templates/ocean/entry.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/ocean/entry.tpl	2005-02-15 19:42:20.000000000 +0900
@@ -0,0 +1,87 @@
+{include file="header.tpl"}
+<div id="entries">
+	<div class="entry">
+		{$entry->date|date_format:"%p %I:%M"}
+		<h3>{$entry->date|date_format:"%B %d, %Y"}</h3>
+		<h4>{$entry->title}</h4>
+		<div class="post">
+			{$entry->getBody()}
+		</div>
+		<div class="info">
+			Posted at {$entry->date|date_format:"%p %I:%M"}
+		</div>
+		<div class="links">
+		{if $entry->isSetOption("NO_COMMENT") == false}
+			<span class="commentslink"><a href="{$entry->getHref()}#comment"><span></span>Comments ({$entry->getCommentCount()})</a></span>
+		{/if}
+		{if $entry->isSetOption("NO_TRACKBACK") == false}
+			<span class="trackbackslink"><a href="{$entry->getHref()}#trackback"><span></span>Trackbacks ({$entry->getTrackbackCount()})</a></span>
+		{/if}
+		</div>
+	</div>
+	<div class="clear"></div>
+	{if $entry->isSetOption("NO_TRACKBACK") == false}
+	<div id="trackbacks">
+		<a name="trackback"></a>
+		<h3>Trackbacks on this entry:</h3>
+		<p>
+			TrackBack URL: {$baseurl}/trackback.php?blogid={$entry->entryId}
+		</p>
+	{foreach from=$trackbacks item=trackback}
+		<div class="trackback">
+			<a name="{$trackback->date}"></a>
+			<p>Trackback from <a href="{$trackback->url}">{$trackback->url}</a></p>
+			<p>{$trackback->title}:</p>
+			<p>
+				{$trackback->getExcerpt()|strip_tags}
+			</p>
+		</div>
+	{/foreach}
+	</div>
+	{/if}
+	
+	{if $entry->isSetOption("NO_COMMENT") == false}
+	<div id="comments">
+		<a name="comment"></a>
+		<h3>Comments on this entry:</h3>
+	{foreach from=$comments item=comment}
+		<div class="comment">
+			<a name="{$comment->date}"></a>
+			<div class="info">
+				Left by <span class="author">
+				{if $comment->homepage != ""}
+					<a href="{$comment->homepage}">{$comment->name}</a>
+				{elseif $comment->email != ""}
+					<a href=mailto:"{$comment->email}">{$comment->name}</a>
+				{else}
+					{$comment->name}
+				{/if}
+				</span> at {$comment->date|date_format:"%B %d, %Y %I:%M %p"}
+			</div>
+			<p class="post">
+				{$comment->getBody()}
+			</p>
+		</div>
+	{/foreach}
+		<h3>Your comment:</h3>
+		<form id="commentform" action="." method="post">
+			<div>
+				<input type="hidden" name="blogid" value="{$entry->entryId}" />
+			</div>
+			<div class="label">Author (<span class="red">*</span>):</div>
+			<div class="input"><input id="author" type="text" name="name" value="{$w_name}" class="fixed" /></div>
+			<div class="label">E-mail:</div>
+			<div class="input"><input id="authorEmail" type="text" name="email" value="{$w_email}" class="fixed" /></div>
+			<div class="label">URL:</div>
+			<div class="input"><input id="authorURL" type="text" name="url" value="{$w_url|default:"http://"}" class="fixed" /></div>
+			<div class="label">Comment (<span class="red">*</span>):</div>
+			<div class="input"><textarea id="commentText" name="body" rows="7" cols="55" class="fixed"></textarea></div>
+			<div class="label">&nbsp;</div>
+			<div class="input"><input type="submit" value="Post" class="button" /></div>
+		</form>
+	</div>
+	{/if}
+
+</div>
+
+{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/ocean/footer.tpl soojung/templates/ocean/footer.tpl
--- soojung-0.4.4/templates/ocean/footer.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/ocean/footer.tpl	2005-02-20 11:13:26.000000000 +0900
@@ -0,0 +1,106 @@
+<div id="column">
+	<!--
+	{$calendar->getCalendar()}
+	-->
+	<div id="links">
+		<div>
+			<h5>Menu:</h5>
+			<ul>
+				<li><a href="{$baseurl}/index.php" class="rounded"><span>main</span></a></li>
+				<li><a href="{$baseurl}/admin.php" class="rounded"><span>admin</span></a></li>
+				{foreach from=$static_entries item=static}
+				<li><a href="{$static->getHref()}">{$static->title}</a></li>
+				{/foreach}
+			</ul>
+		</div>
+		<div>
+			<h5>Categories:</h5>
+			<ul>
+				{foreach from=$categories item=category}
+				<li>
+					<a href="{$category->getHref()}" class="rounded"><span>{$category->name}</span></a> 
+					({$category->getEntryCount()})
+				</li>
+				{foreachelse}
+				<li></li>
+				{/foreach}
+			</ul>
+		</div>
+		<div>
+			<h5>Archives:</h5>
+			<ul>
+				{foreach from=$archvies item=archive}
+				<li>
+					<a href="{$archive->getHref()}" class="rounded"><span>{$archive->getDate()|date_format:"%B %Y"}</span></a>
+				</li>
+				{foreachelse}
+				<li></li>
+				{/foreach}
+			</ul>
+		</div>
+		<div>
+			<h5>Recently:</h5>
+			<ul>
+				{foreach from=$recent_entries item=entry}
+				<li>
+					<a href="{$entry->getHref()}" class="rounded"><span>{$entry->title}</span></a>
+				</li>
+				{foreachelse}
+				<li></li>
+				{/foreach}
+			</ul>
+		</div>
+		{if count($recent_referers) != 0}
+		<div>
+			<h5>Recent Referers:</h5>
+			<ul>
+				{foreach from=$recent_referers item=referer}
+				<li>
+					<a href="{$referer}" class="rounded"><span>{$referer}</span></a>
+				</li>
+				{/foreach}
+			</ul>
+		</div>
+		{/if}
+		
+		{if count($bookmarks) != 0}
+		<div>
+			<strong>Bookmarks:</strong>
+			<ul>
+				{foreach from=$bookmarks item=bookmark}
+				<li>
+					<a href="{$bookmark->url}" class="rounded"><span>{$bookmark->name}</span></a>
+				</li>
+				{foreachelse}
+				<li></li>
+				{/foreach}
+			</ul>
+		</div>
+		{/if}
+		<div>
+			<h5>Syndication:</h5>
+			<p><a href="{$baseurl}/rss2.php" class="rounded"><span>RSS2</span></a></p>
+		</div>
+		<div>
+			<h5>&nbsp;</h5>
+			<p>Today : {$today_count}</p>
+			<p>Total : {$total_count}</p>
+		</div>
+	</div>
+</div>
+<!-- end #column -->
+				</div>
+				<div class="clear">&nbsp;</div>
+			</div>
+		</div>
+	</div>
+	<div id="contentFootLeft"><div id="contentFootRight"><div id="contentFootCenter"></div></div></div>
+
+	<div id="footer">
+		<p id="copyright">{$license_link} Design based on Ocean <a href="http://blojsom.sourceforge.net">blojsom</a> theme by <a href="http://www.asual.com" title="Click here to visit the website of Asual Interactive Solutions">Asual</a>.</p>
+		<p id="info">Powered by <a href="http://soojung.kldp.net">soojung {$soojung_version}</a>. Valid <a href="http://validator.w3.org/check?uri=referer">XHTML</a> &amp; <a href="http://jigsaw.w3.org/css-validator/check/referer">CSS</a></p>
+	</div>
+
+</div>
+</body>
+</html>
diff -urN soojung-0.4.4/templates/ocean/header.tpl soojung/templates/ocean/header.tpl
--- soojung-0.4.4/templates/ocean/header.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/ocean/header.tpl	2005-02-15 19:42:20.000000000 +0900
@@ -0,0 +1,44 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<html>
+<head>
+	<title>{$title}</title>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+
+	<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/ocean.css" media="screen" />
+	<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/ocean-fixed.css" title="fixed" media="screen" />
+	<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/ocean-elastic.css" title="elastic" media="screen" />
+	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="{$baseurl}/rss2.php" />
+	<script type="text/javascript" src="{$baseurl}/templates/{$skin}/ocean.js"></script>
+</head>
+<body>
+
+<div id="main">
+	<div id="header">
+		<div id="name">
+			<h1><a href="{$baseurl}" title="{$description}">{$title}</a></h1>
+			<h2>{$description}</h2>
+		</div>
+		<div id="controls">
+			<form id="searchform" action="index.php" method="get">
+				<p>
+					<label id="searchlabel">Search:</label><input id="searchfield" type="text" name="search" title="input search text" />
+					<input id="searchimage" type="image" src="{$baseurl}/templates/{$skin}/images/ocean-search.jpg" value="submit" alt="Search" />
+				</p>
+			</form>
+			<div id="switcher">
+				<script type="text/javascript">
+					writeSwitcher();
+				</script>
+				<noscript>
+					<p></p>
+				</noscript>
+			</div>
+		</div>
+	</div>
+
+	<div id="contentHeadLeft"><div id="contentHeadRight"><div id="contentHeadCenter"></div></div></div>
+	<div id="contentBodyLeft">
+		<div id="contentBodyRight">
+			<div id="contentBodyCenter">
+
+				<div id="content">
Binary files soojung-0.4.4/templates/ocean/images/ocean-bg.jpg and soojung/templates/ocean/images/ocean-bg.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-blockquote.jpg and soojung/templates/ocean/images/ocean-blockquote.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-bodycenter.jpg and soojung/templates/ocean/images/ocean-bodycenter.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-bodyleft.jpg and soojung/templates/ocean/images/ocean-bodyleft.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-bodyright.jpg and soojung/templates/ocean/images/ocean-bodyright.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-comments.jpg and soojung/templates/ocean/images/ocean-comments.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-commentslink.jpg and soojung/templates/ocean/images/ocean-commentslink.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-content.jpg and soojung/templates/ocean/images/ocean-content.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-disc.jpg and soojung/templates/ocean/images/ocean-disc.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-footcenter.jpg and soojung/templates/ocean/images/ocean-footcenter.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-footleft.jpg and soojung/templates/ocean/images/ocean-footleft.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-footright.jpg and soojung/templates/ocean/images/ocean-footright.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-headcenter.jpg and soojung/templates/ocean/images/ocean-headcenter.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-headleft.jpg and soojung/templates/ocean/images/ocean-headleft.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-headright.jpg and soojung/templates/ocean/images/ocean-headright.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-poweredby.jpg and soojung/templates/ocean/images/ocean-poweredby.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-search.jpg and soojung/templates/ocean/images/ocean-search.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-trackbacks.jpg and soojung/templates/ocean/images/ocean-trackbacks.jpg differ
Binary files soojung-0.4.4/templates/ocean/images/ocean-trackbackslink.jpg and soojung/templates/ocean/images/ocean-trackbackslink.jpg differ
diff -urN soojung-0.4.4/templates/ocean/index.tpl soojung/templates/ocean/index.tpl
--- soojung-0.4.4/templates/ocean/index.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/ocean/index.tpl	2005-02-15 19:42:20.000000000 +0900
@@ -0,0 +1,65 @@
+{include file="header.tpl"}
+
+<div id="entries">
+
+{if $view == "index"}
+	{foreach from=$entries item=entry}
+
+	<div class="entry">
+		<h3>{$entry->date|date_format:"%B %d, %Y"}</h3>
+		<h4><a href="{$entry->getHref()}">{$entry->title}</a></h4>
+		<div class="post">
+			{$entry->getBody()}
+		</div>
+		<div class="info">
+			Posted at {$entry->date|date_format:"%p %I:%M"}
+		</div>
+		<div class="links">
+		{if $entry->isSetOption("NO_COMMENT") == false}
+			<span class="commentslink"><a href="{$entry->getHref()}#comment"><span></span>Comments ({$entry->getCommentCount()})</a></span>
+		{/if}
+		{if $entry->isSetOption("NO_TRACKBACK") == false}
+			<span class="trackbackslink"><a href="{$entry->getHref()}#trackback"><span></span>Trackbacks ({$entry->getTrackbackCount()})</a></span>
+		{/if}
+		</div>
+	</div>
+	<div class="clear"></div>
+	{/foreach}
+
+	<div>
+	{if $prev_page_link != ""}
+		<a href="{$prev_page_link}">prev</a>
+	{/if}
+	{if $next_page_link != ""}
+		<a href="{$next_page_link}">next</a>
+	{/if}
+	</div>
+
+{elseif $view == "archive"}
+	{foreach from=$entries item=entry}
+	<p>
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+		on {$entry->date|date_format:"%B %d, %Y"}
+	</p>
+	{/foreach}
+{elseif $view == "category"}
+	{foreach from=$entries item=entry}
+	<p>
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+		on {$entry->date|date_format:"%B %d, %Y"}
+	</p>
+<div class="clear"></div>
+	{/foreach}
+{elseif $view == "search"}
+	{foreach from=$entries item=entry}
+	<p>
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+		on {$entry->date|date_format:"%B %d, %Y"}
+	</p>
+<div class="clear"></div>
+	{/foreach}
+{/if}
+
+</div>
+
+{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/ocean/ocean-elastic.css soojung/templates/ocean/ocean-elastic.css
--- soojung-0.4.4/templates/ocean/ocean-elastic.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/ocean/ocean-elastic.css	2005-02-15 19:42:20.000000000 +0900
@@ -0,0 +1,6 @@
+body {
+	margin: 0 10px;
+}
+#main {
+	width: auto;
+}
\ No newline at end of file
diff -urN soojung-0.4.4/templates/ocean/ocean-fixed.css soojung/templates/ocean/ocean-fixed.css
--- soojung-0.4.4/templates/ocean/ocean-fixed.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/ocean/ocean-fixed.css	2005-02-15 19:42:20.000000000 +0900
@@ -0,0 +1,6 @@
+body {
+	margin: 0;
+}
+#main {
+	width: 860px;
+}
\ No newline at end of file
diff -urN soojung-0.4.4/templates/ocean/ocean.css soojung/templates/ocean/ocean.css
--- soojung-0.4.4/templates/ocean/ocean.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/ocean/ocean.css	2005-02-15 19:42:20.000000000 +0900
@@ -0,0 +1,519 @@
+body {
+	font: 76%/162% 'Lucida Sans Unicode', 'Lucida Grande', 'Bitstream Vera Sans', 'Trebuchet MS', Geneva, Arial, sans-serif;
+	background: #285090 url(images/ocean-bg.jpg) repeat-x;
+	color: #000000;
+	text-align: center;
+}
+input, textarea, select {
+	font: 100% 'Lucida Sans Unicode', 'Lucida Grande', 'Bitstream Vera Sans', 'Trebuchet MS', Geneva, Arial, sans-serif;
+}
+input.text {
+	border: 1px solid #285090;
+}
+body, div, p, img, ul, li, h1, h2, h3, h4, h5, h6, form {
+	margin: 0;
+	padding: 0;
+	border: 0;
+}
+a {
+	color: #285090;
+}
+a:visited {
+	color: #333333;
+}
+a:hover {
+	color: #A30000;
+}
+#main {
+	margin: 0 auto;
+	text-align: left;
+}
+#header{
+	height: 62px;
+}
+#name {
+	float: left; 
+	margin-right: -24em;
+}
+#name h1 {
+	font-size: 200%;
+	margin: 22px 0 6px 43px;
+	text-shadow: black 0 0 3px;
+}
+#name h2 {
+	font-size: 120%;
+	font-weight: normal;
+	margin-left: 43px;
+	color: #D4DEEC;
+}
+#name a {
+	text-decoration: none;
+	color: #FFFFFF;
+	margin-left: -1px;
+}
+#controls {
+	float: right;
+	width: 23em;
+	border: 0;
+	margin: 22px 43px 0 0;
+	display: inline;
+}
+#searchform {
+	text-align: right;
+}
+#searchlabel {
+	margin-right: 4px;
+	color: #D4DEEC;
+}
+#searchfield {
+	width: 12em;
+	border: 1px solid #285090;
+}
+#searchimage {
+	vertical-align: middle;
+}
+#switcher {
+	width: 12em;
+	float: right;
+	display: inline;
+	margin: 4px 22px 0 0;
+	text-align: center;
+}
+#switcher a {
+	font-size: 84%;
+	text-decoration: none;
+	color: #FFFFFF;
+	background: #285090;
+	padding: 0;
+	border-top: 1px solid #285090;
+	border-bottom: 1px solid #285090;
+}
+#switcher a span {
+	border-top: 1px solid #285090;
+	border-bottom: 1px solid #285090;
+	height: 100%;
+	margin: -1px 1px;
+	padding: 0 2px;	
+}
+#switcher a:hover {
+	color: #285090;
+	background: #FFFFFF;
+	padding: 0;
+	border-top: 1px solid #ABB8CD;
+	border-bottom: 1px solid #ABB8CD;
+}
+#switcher a:hover span {
+	border-top: 1px solid #FFFFFF;
+	border-bottom: 1px solid #FFFFFF;
+}
+#footer {
+	display: block;
+	clear: both;
+	margin: -14px 43px 0;
+	height: 2.8em;
+	color: #D4DEEC;
+}
+#footer p {
+	font-size: 84%;
+}
+#copyright {
+	float: left;
+}
+#info {
+	float: right;
+}
+#copyright a, #info a {
+	color: #FFFFFF;
+	text-decoration: none;
+	padding: 1px 0;
+}
+#copyright a:hover, #info a:hover {
+	text-decoration: underline;
+}
+#contentHeadLeft {
+	background: #285090 url(images/ocean-headleft.jpg) no-repeat;
+	height: 28px;
+	padding-left: 22px;
+}
+#contentHeadCenter {
+	background: url(images/ocean-headcenter.jpg) repeat-x;
+	height: 100%;
+	margin: 0 6px;
+}
+#contentHeadRight {
+	background: url(images/ocean-headright.jpg) no-repeat right;
+	height: 100%;
+	padding-right: 22px;
+}
+#contentBodyLeft {
+	background: url(images/ocean-bodyleft.jpg) repeat-y;
+	padding-left: 22px;
+	clear: both;
+}
+#contentBodyCenter {
+	height: auto;
+	background: url(images/ocean-bodycenter.jpg);
+}
+#contentBodyRight {
+	padding-right: 22px;
+	background: url(images/ocean-bodyright.jpg) repeat-y right;
+}
+#contentFootLeft {
+	background: #285090 url(images/ocean-footleft.jpg) no-repeat;
+	height: 28px;
+	padding-left: 22px;
+	clear: both;
+}
+#contentFootCenter {
+	background: url(images/ocean-footcenter.jpg) repeat-x;
+	height: 100%;
+	margin: 0 6px;
+}
+#contentFootRight {
+	background: url(images/ocean-footright.jpg) no-repeat right;
+	height: 100%;
+	padding-right: 22px;
+}
+#content {
+	background: #D5DEED url(images/ocean-content.jpg) repeat-x;
+	width: auto;
+	height: 300px;
+	margin: 0;
+	padding: 16px 22px 0;
+	color: #000000;
+}
+#entries {
+	width: 100%;
+	float: left; 
+	clear: both;
+	margin-right: -18em;
+}
+* html #entries{
+	overflow: hidden;
+}
+#column {
+	font-size: 90%;
+	width: 18em; 
+	float: right;
+}
+#column a.rounded {
+	color: #285090;
+	background: #D4DEEC;
+	text-decoration: none;
+	border-top: 1px solid #D4DEEC;
+	border-bottom: 1px solid #D4DEEC;
+}
+#column a.rounded span {
+	margin: -1px 1px;
+	padding: 0 2px;
+	border-top: 1px solid #D4DEEC;
+	border-bottom: 1px solid #D4DEEC;
+}
+#column a.rounded:hover {
+	color: #FFFFFF;
+	background: #285090;
+	border-top: 1px solid #93A9C9;
+	border-bottom: 1px solid #93A9C9;
+}
+#column a.rounded:hover span {
+	border-top: 1px solid #285090;
+	border-bottom: 1px solid #285090;
+}
+#column a.rounded span.break {
+	width: 0;
+	margin: 0;
+	padding: 0;
+}
+#calendar {
+	border: 1px solid #285090;
+	background: #F1F7FB;
+	padding: .6em .6em 1em;
+	text-align: center;
+}
+#calendar table {
+	margin: 0 auto;
+	border-collapse: collapse;
+}
+#calendar caption {
+	font-size: 120%;
+	font-weight: bold;
+	text-align: center;
+	padding-bottom: .2em;
+	color: #A30000;
+}
+#calendar caption a, #calendar caption a:visited {
+	color: #285090;
+	margin: 0 .8em; 
+	text-decoration: none;
+}
+#calendar caption a:hover {
+	color: #000000;
+}
+#calendar th, #calendar td {
+	text-align: center;
+	width: 2.6em;
+	margin: 0;
+}
+#calendar thead th {
+	font-size: 94%;
+	font-weight: normal;
+	color: #285090;
+}
+#calendar tbody a {
+	display: block;
+	background: #285090;
+	text-align: center;
+	text-decoration: none;
+	color: #FFFFFF;
+	border-top: 1px solid #A5B8D3;
+	border-bottom: 1px solid #A5B8D3;
+}
+#calendar tbody a span {
+	display: block;
+	background: #285090; 
+	margin: -1px 1px;
+	border-top: 1px solid #285090;
+	border-bottom: 1px solid #285090;
+}
+#calendar tbody a:hover {
+	color: #FFFFFF;
+	background: #A30000;
+	border-top: 1px solid #E39A9D;
+	border-bottom: 1px solid #E39A9D;
+}
+#calendar tbody a:hover span {
+	background: #A30000; 
+	border-top: 1px solid #A30000;
+	border-bottom: 1px solid #A30000;
+}
+#links {
+	padding: .8em;
+	line-height: 154%;
+}
+#links h5 {
+	font-size: 100%;
+	font-weight: bold;
+	margin: 1.8em 2px .4em;
+	clear: both;
+}
+#links ul {
+	list-style: none;
+}
+#links li {
+	margin-bottom: .8em;
+}
+#blojsom {
+	display: block;
+}
+#blojsom p {
+	padding: 2.8em 0 1.8em .4em;
+	display: block;
+}
+div.entry {
+	padding: 0;
+	margin: 0 18em 6em 0;
+}
+div.entry div, div.entry p {
+	margin-bottom: 1.2em;
+}
+div.entry h3 {
+	font-size: 100%;
+	font-weight: bold;
+	color: #285090;
+	margin-top: -.2em;
+}
+div.entry h4 {
+	font-size: 130%;
+	font-weight: bold;
+	padding-bottom: .2em;
+	border-bottom: 1px solid #285090;
+}
+div.entry h4 a, div.entry h4 a:visited {
+	color: #A30000;
+	text-decoration: none;
+}
+div.entry h4 a:hover {
+	color: #000000;
+}
+div.entry ul, div.entry ol, div.entry dl {
+	margin: 10px 0;
+	padding: 0;
+}
+div.entry li {
+	margin-left: 10px;
+	padding: 0 0 .4em 12px;
+	list-style: none;
+	background: url(images/ocean-disc.jpg) no-repeat 0 .6em;
+}
+div.entry blockquote {
+	margin: 10px;
+	padding-left: 20px;
+	background: url(images/ocean-blockquote.jpg) no-repeat;	
+}
+div.entry tt {
+	font-size: 120%;
+	font-weight: bold;
+	color: #333333;
+}
+div.entry .post {
+	padding-top: 1em;
+}
+div.entry .info {
+	color: #333333;
+	margin-bottom: 0;
+}
+div.entry .info a, div.entry .info a:visited {
+	color: #285090;
+}
+div.entry .info a:hover {
+	color: #A30000;
+}
+div.entry .links {
+	color: #000000;
+}
+div.entry .links a, div.entry .links a:visited {
+	color: #285090;
+}
+div.entry .links a:hover {
+	color: #A30000;
+}
+div.entry .commentslink a {
+	float: left;
+	margin: 0 6px 1.8em -4px;
+	padding: 1px;
+}
+div.entry .commentslink a span {
+	float: left;
+	background: url(images/ocean-commentslink.jpg) no-repeat -22px .1em;
+	width: 22px;
+	height: 22px;
+	margin-right: 2px;
+	vertical-align: middle;
+}
+div.entry .commentslink a:hover span {
+	background: url(images/ocean-commentslink.jpg) no-repeat 0 .1em;
+}
+div.entry .trackbackslink a {
+	float: left;
+	margin: 0 0 1.8em 4px;
+	padding: 1px;
+}
+div.entry .trackbackslink a span {
+	float: left;
+	background: url(images/ocean-trackbackslink.jpg) no-repeat -22px .1em;
+	width: 22px;
+	height: 22px;
+	margin-right: 3px;
+	vertical-align: middle;
+}
+div.entry .trackbackslink a:hover span {
+	background: url(images/ocean-trackbackslink.jpg) no-repeat 0 .1em;
+}
+div.comment {
+	margin: 0 0 1em 0;
+}
+div.trackback {
+	margin: 0 18em 1em 0;
+}
+div.comment .info, div.trackback .info {
+	color: #333333;
+	margin-bottom: .2em;
+	padding-left: 26px;
+	height: 22px;
+	display: block;
+}
+div.comment .info {
+	background: url(images/ocean-comments.jpg) no-repeat 0 .1em;
+}
+div.trackback .info {
+	background: url(images/ocean-trackbacks.jpg) no-repeat 0 .1em;
+}
+div.comment .post, div.trackback .post {
+	border: 1px solid #285090;
+	background: #F1F7FB;
+	padding: 1.2em 1.2em 1.2em 26px;
+	display: block;
+}
+#trackbacks {
+	margin: 0 18em 3em 0;
+}
+#comments {
+	margin: 0 18em 3em 0;
+}
+#trackbacks h3, #comments h3 {
+	display: block;
+	font-size: 100%;
+	font-weight: bold;
+	color: #000000;
+	clear: both;
+	border-bottom: 1px solid #285090;
+	margin-bottom: 1.8em;
+}
+#commentform {
+	display: block;
+}
+#commentform .label {
+	width: 8em;
+	float: left;
+	clear: both;
+	margin-bottom: .4em;
+}
+#commentform .input {
+	width: 300px;
+	float: left;
+	margin-bottom: .4em;
+}
+#commentform .input span {
+	float: left;
+	display: inline;
+	margin-left: 5px;
+}
+#commentform input.fixed {
+	width: 160px;
+	float: left;
+	border: 1px solid #285090;
+}
+#commentform textarea.fixed {
+	width: 300px;
+	float: left;
+	border: 1px solid #285090;
+}
+#commentform .button {
+	width: auto;
+	float: left;
+}
+#commentform textarea {
+	overflow: auto;
+}
+#commentform h4 {
+	font-size: 100%;
+	font-weight: bold;
+	color: #000000;
+	clear: both;
+}
+#commentPreview {
+	display: block;
+	margin: 0 0 1.8em 0;
+}
+#commentPreview p {
+	margin-bottom: .8em;
+}
+img.emoticons {
+	vertical-align: middle
+}
+.author {
+	color: #000000;
+}
+.author a {
+	color: #000000;
+}
+.author a:hover {
+	color: #A30000;
+}
+.red {
+	color: #A30000;
+}
+.clear {
+	clear: both;
+	height: 0;
+}
diff -urN soojung-0.4.4/templates/ocean/ocean.js soojung/templates/ocean/ocean.js
--- soojung-0.4.4/templates/ocean/ocean.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/ocean/ocean.js	2005-02-15 19:42:20.000000000 +0900
@@ -0,0 +1,74 @@
+function setActiveStyleSheet(title) {
+	var i, a, main;
+	for(i=0; (a = document.getElementsByTagName("link")[i]); i++) {
+		if(a.getAttribute("rel").indexOf("style") != -1 && a.getAttribute("title")) {
+			a.disabled = true;
+			if(a.getAttribute("title") == title) a.disabled = false;
+		}
+	}
+}
+
+function getActiveStyleSheet() {
+	var i, a;
+	for(i=0; (a = document.getElementsByTagName("link")[i]); i++) {
+		if(a.getAttribute("rel").indexOf("style") != -1 && a.getAttribute("title") && !a.disabled) return a.getAttribute("title");
+	}
+	return null;
+}
+
+function getPreferredStyleSheet() {
+	var i, a;
+	for(i=0; (a = document.getElementsByTagName("link")[i]); i++) {
+		if(a.getAttribute("rel").indexOf("style") != -1
+		&& a.getAttribute("rel").indexOf("alt") == -1
+		&& a.getAttribute("title")
+		) return a.getAttribute("title");
+	}
+	return null;
+}
+
+function createCookie(name,value,days) {
+	if (days) {
+		var date = new Date();
+		date.setTime(date.getTime()+(days*24*60*60*1000));
+		var expires = "; expires="+date.toGMTString();
+	}
+	else expires = "";
+	document.cookie = name+"="+value+expires+"; path=/";
+}
+
+function readCookie(name) {
+	var nameEQ = name + "=";
+	var ca = document.cookie.split(';');
+	for(var i=0;i < ca.length;i++) {
+		var c = ca[i];
+		while (c.charAt(0)==' ') c = c.substring(1,c.length);
+		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
+	}
+	return null;
+}
+
+function writeSwitcher() {
+	var switcher = (getActiveStyleSheet() == "elastic") ? "Switch to Fixed Layout" : "Switch to Elastic Layout";
+	document.write('<a id="switchlink" href="#" onclick="switchLayout(); return false;" title="Click here to change the content width"><span>' + switcher + '</span></a>');
+}
+
+var cookie = readCookie("style");
+var title = cookie ? cookie : getPreferredStyleSheet();
+setActiveStyleSheet(title);
+
+function switchLayout() {
+	var title = (getActiveStyleSheet() == "elastic") ? "fixed" : "elastic";
+	setActiveStyleSheet(title);
+	document.getElementById("switchlink").firstChild.firstChild.nodeValue = (getActiveStyleSheet() == "elastic") ? "Switch to Fixed Layout" : "Switch to Elastic Layout";
+	createCookie("style", title, 365);
+}
+
+function reloadPreviewDiv() {
+	var previewString = document.getElementById("commentText").value;
+	if (previewString.length > 0){
+		previewString = previewString.replace(new RegExp("(.*)\n\n([^#\*\n\n].*)","g"), "<p>$1</p><p>$2</p>");
+		previewString = previewString.replace(new RegExp("(.*)\n([^#\*\n].*)","g"), "$1<br />$2");
+	}
+	document.getElementById("commentPreview").innerHTML = previewString;
+}
\ No newline at end of file
diff -urN soojung-0.4.4/templates/rubric/entry.tpl soojung/templates/rubric/entry.tpl
--- soojung-0.4.4/templates/rubric/entry.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/rubric/entry.tpl	2005-02-18 21:50:21.000000000 +0900
@@ -0,0 +1,104 @@
+{include file="header.tpl"}
+
+<h2>{$entry->date|date_format:"%B %d, %Y"}</h2>
+<div class="post">
+	<h3 class="storytitle">{$entry->title}</h3>
+	<div class="meta">
+		Posted at {$entry->date|date_format:"%I:%M %p"}
+	</div>
+	<div class="storycontent">
+		<p>
+			{$entry->getBody()}
+		</p>
+	</div>
+	<div class="feedback">
+		{if $entry->isSetOption("NO_COMMENT") == false}
+			<a class="plink" href="{$entry->getHref()}#comment">Comments ({$entry->getCommentCount()})</a>
+		{/if}
+		{if $entry->isSetOption("NO_TRACKBACK") == false}
+			<a class="plink" href="{$entry->getHref()}#trackback">Trackbacks ({$entry->getTrackbackCount()})</a>
+		{/if}
+	</div>
+
+{if $entry->isSetOption("NO_TRACKBACK") == false}
+<h2 id="trackbacks">trackbacks</h2>
+<a name="trackback"></a>
+<p>
+	The URI to TrackBack this entry is: {$baseurl}/trackback.php?blogid={$entry->entryId}
+</p>
+<ol id="trackbacklist">
+{foreach from=$trackbacks item=trackback}
+	<li>
+		<a name="{$trackback->date}"></a>
+		<p>
+			Trackback from <a href="{$trackback->url}">{$trackback->url}</a>
+		</p>
+		<p>{$trackback->title}:</p>
+		<p>
+			{$trackback->getExcerpt()|strip_tags}
+		</p>
+	</li>
+{/foreach}
+</ol>
+{/if}
+
+{if $entry->isSetOption("NO_COMMENT") == false}
+<h2 id="comments">Comments</h2>
+<a name="comment"></a>
+
+<ol id="commentlist">
+{foreach from=$comments item=comment}
+	<li>
+		<a name="{$comment->date}"></a>
+			
+		<p>
+			{$comment->getBody()}
+		</p>
+		<p>
+			<cite>Comment by
+			{if $comment->homepage != ""}
+				<a href="{$comment->homepage}">{$comment->name}</a>
+			{elseif $comment->email != ""}
+				<a href=mailto:"{$comment->email}">{$comment->name}</a>
+			{else}
+				{$comment->name}
+			{/if}
+			&#8212; {$comment->date|date_format:"%m/%d/%Y @ %I:%M %p"}
+			</cite>
+		</p>
+	</li>
+{/foreach}
+</ol>
+
+<h2>Leave a Comment</h2>
+
+<form id="commentform" action="." method="post">
+	<p>
+		<input type="hidden" name="blogid" value="{$entry->entryId}" />
+		<input id="author" class="text" type="text" name="name" value="{$w_name}" />
+		<label for="author">Name</label>
+	</p>
+	<p>
+		<input id="email" class="text" type="text" name="email" value="{$w_email}" />
+		<label for="email">Email</label>
+	</p>
+	<p>
+		<input id="url" class="text" type="text" name="url" value="{$w_url|default:"http://"}" />
+		<label for="email">URL</label>
+	</p>
+	<p>
+		<label>Your Comment</label>
+		<br />
+		<textarea id="comment" name="body" rows="5" cols="40"></textarea>
+	</p>
+	<p>
+		<input type="submit" value="Say it!" />
+	</p>
+</form>
+{/if}
+
+</div>
+
+</div>
+
+{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/rubric/footer.tpl soojung/templates/rubric/footer.tpl
--- soojung-0.4.4/templates/rubric/footer.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/rubric/footer.tpl	2005-02-20 11:13:26.000000000 +0900
@@ -0,0 +1,90 @@
+<div id="menu">
+<ul>
+<li id="Other:">
+	Menu:
+	<ul>
+		<li><a href="{$baseurl}/index.php">main</a></li>
+		<li><a href="{$baseurl}/admin.php">admin</a></li>
+		{foreach from=$static_entries item=static}
+		<li><a href="{$static->getHref()}">{$static->title}</a></li>
+		{/foreach}
+	</ul>
+</li>
+<li id="categories">
+	Categories:
+	<ul>
+		{foreach from=$categories item=category}
+		<li>
+			<a href="{$category->getHref()}">{$category->name}</a> 
+			({$category->getEntryCount()})
+		</li>
+		{foreachelse}
+		<li></li>
+		{/foreach}
+	</ul>
+</li>
+<li id="search">
+	Search:
+	<form id="searchform" action="index.php" method="get">
+	<div>
+		<input type="text" name="search" title="input search text" size="15" /><br />
+		<input type="submit" value="search" />
+	</div>
+	</form>
+</li>
+<li id="archives">
+	Archives:
+	<ul>
+	{foreach from=$archvies item=archive}
+	<li>
+		<a href="{$archive->getHref()}">{$archive->getDate()|date_format:"%B %Y"}</a>
+	</li>
+	{foreachelse}
+	<li></li>
+	{/foreach}
+	</ul>
+</li>
+{if count($recent_referers) != 0}
+<li>
+	Recent Referers:
+	<ul>
+	{foreach from=$recent_referers item=referer}
+	<li>
+		<a href="{$referer}">{$referer}</a>
+	</li>
+	{/foreach}
+	</ul>
+</li>
+{/if}
+{if count($bookmarks) != 0}
+<li>
+	Bookmarks:
+	<ul>
+	{foreach from=$bookmarks item=bookmark}
+	<li>
+		<a href="{$bookmark->url}">{$bookmark->desc}</a>
+	</li>
+	{foreachelse}
+	<li></li>
+	{/foreach}
+	</ul>
+</li>
+{/if}
+<li id="meta">
+	Meta:
+	<ul>
+	<li><a href="{$baseurl}/rss2.php">RSS2</a></li>
+	<li><a href="http://validator.w3.org/check?uri=referer">Valid XHTML</a></li>
+	</ul>
+</li>
+<li>
+	<p>Today : {$today_count}, Total : {$total_count}</p>
+</li>
+</ul>
+</div>
+
+</div>
+
+<p class="credit">{$license_link}<br />Powered by <a href="http://soojung.kldp.net">soojung {$soojung_version}</a>. Design based on Rubric <a href="http://www.wordpress.org">WordPress</a> CSS style by Handley Wickham.</p>
+</body>
+</html>
diff -urN soojung-0.4.4/templates/rubric/header.tpl soojung/templates/rubric/header.tpl
--- soojung-0.4.4/templates/rubric/header.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/rubric/header.tpl	2005-02-18 21:50:21.000000000 +0900
@@ -0,0 +1,15 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<html>
+<head>
+	<title>{$title}</title>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+
+	<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/style.css" />
+	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="{$baseurl}/rss2.php" />
+</head>
+<body>
+
+<div id="rap">
+<h1 id="header"><a href="{$baseurl}" title="{$description}">{$title}</a></h1>
+
+<div id="content">
Binary files soojung-0.4.4/templates/rubric/images/rubric/gradient.gif and soojung/templates/rubric/images/rubric/gradient.gif differ
Binary files soojung-0.4.4/templates/rubric/images/rubric/pen-sm.jpg and soojung/templates/rubric/images/rubric/pen-sm.jpg differ
diff -urN soojung-0.4.4/templates/rubric/index.tpl soojung/templates/rubric/index.tpl
--- soojung-0.4.4/templates/rubric/index.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/rubric/index.tpl	2005-02-18 21:50:21.000000000 +0900
@@ -0,0 +1,69 @@
+{include file="header.tpl"}
+
+{if $view == "index"}
+	{foreach from=$entries item=entry}
+
+<h2>{$entry->date|date_format:"%B %d, %Y"}</h2>
+<div class="post">
+	<h3 class="storytitle"><a href="{$entry->getHref()}">{$entry->title}</a></h3>
+	<div class="meta">
+		Posted at {$entry->date|date_format:"%I:%M %p"}
+	</div>
+	<div class="storycontent">
+		<p>
+			{$entry->getBody()}
+		</p>
+	</div>
+	<div class="feedback">
+		{if $entry->isSetOption("NO_COMMENT") == false}
+			<a href="{$entry->getHref()}#comment">Comments ({$entry->getCommentCount()})</a>
+		{/if}
+		{if $entry->isSetOption("NO_TRACKBACK") == false}
+			<a href="{$entry->getHref()}#trackback">Trackbacks ({$entry->getTrackbackCount()})</a>
+		{/if}
+	</div>
+</div>
+
+	{/foreach}
+
+<div id="goto">
+	{if $prev_page_link != ""}
+		<a href="{$prev_page_link}">prev</a>
+	{/if}
+	{if $next_page_link != ""}
+		<a href="{$next_page_link}">next</a>
+	{/if}
+</div>
+
+{elseif $view == "archive"}
+<div class="post">
+	{foreach from=$entries item=entry}
+	<p>
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+		on {$entry->date|date_format:"%B %d, %Y"}
+	</p>
+	{/foreach}
+</div>
+{elseif $view == "category"}
+<div class="post">
+	{foreach from=$entries item=entry}
+	<p>
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+		on {$entry->date|date_format:"%B %d, %Y"}
+	</p>
+	{/foreach}
+</div>
+{elseif $view == "search"}
+<div class="post>
+	{foreach from=$entries item=entry}
+	<p>
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+		on {$entry->date|date_format:"%B %d, %Y"}
+	</p>
+	{/foreach}
+</div>
+{/if}
+
+</div>
+
+{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/rubric/style.css soojung/templates/rubric/style.css
--- soojung-0.4.4/templates/rubric/style.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/rubric/style.css	2005-02-18 21:50:21.000000000 +0900
@@ -0,0 +1,231 @@
+/* Whole page
+   -------------------------------------------- */
+
+body {
+	background-image: url("images/rubric/gradient.gif");
+	background-attachment: fixed;
+	background-position: bottom;
+	background-repeat: repeat-x;
+}
+	 
+#content {
+	margin-right: 20em;
+	margin-left: 40px;
+	background-color: #fff;
+	padding: 0.5em;
+	margin-top: 160px;
+	
+	border: 1px #eee solid;
+}
+
+/* Image from sxc.hu (http://www.sxc.hu/browse.phtml?f=view&id=16710)
+   Thanks bradleym! */
+
+#header {
+	position: absolute;
+	top: 40px;
+	left: 0px;
+	background-image: url("images/rubric/pen-sm.jpg");
+	background-position: top right;
+	background-repeat: no-repeat;
+	width:80%;
+	margin: 0;
+	height: 150px;
+	
+	padding-left: 45px;
+	
+	font-family: Georgia;
+	font-weight: normal;
+	font-size: 3em;
+}
+
+/* Content & menu
+   -------------------------------------------- */
+
+#menu {
+	width: 14em;
+	position: absolute;
+	float: right;
+	top: 200px;
+	right: 5em;
+	
+	font-size: 90%;
+}
+* html #menu { /* make IE put it in the right place */
+	right: 5em;
+}
+
+
+#menu ul {
+	margin-top: 0;
+	padding-left: 0;
+	margin-left: 0;
+	list-style: none;	
+
+	color: #B54141;
+	/*text-indent: 1000em;*/
+
+}
+
+#menu a:link, #menu a:visited {
+	color: black;
+	border: none;
+}
+
+#menu ul ul {
+	margin-left: 0;
+	list-style: disc;
+	list-style-position: inside;
+	padding-left: 0.5em;
+	text-indent: 0;
+	
+	color: black;
+}
+
+
+#menu form{
+	margin: 0;	 
+}
+#menu form br {
+	display:none;
+}
+input {
+	width: 6em;
+	font-family: Verdana, Tahoma, Arial, sans-serif; 
+}
+
+#commentform input.text {
+	width: 12em;
+}
+
+#commentform textarea {
+	width: 25em;
+}
+
+ 
+/* Post
+   -------------------------------------------- */
+
+
+#content h2 {
+	font-size: 0.9em;
+	color: #666;
+	margin-bottom: 0;
+	margin-top: 0;
+}
+
+h3 {
+	font-size: 1.5em;
+	font-weight: normal;
+	margin-bottom: 0.33em;
+}
+
+.storytitle {
+	margin-top: 0.25em;
+	color: #B54141;
+}
+
+.post-categories {
+	display: inline;
+	margin: 0;
+	padding: 0;
+}
+.post-categories li {
+	display: inline;
+	margin-left: 0 3px 0 0;
+	padding: 0;
+}
+
+.post .meta {
+	font-size: 0.85em;
+	color: #666;
+}
+.post .meta * {
+	margin-top: 0;
+}	
+
+.post .feedback {
+	margin-bottom: 3em;
+	border-bottom: 1px solid #ccc; 
+	padding-bottom: 1px;
+}
+
+
+/* Credit
+   -------------------------------------------- */
+	 
+p.credit {	
+	margin-right: 20em;
+	margin-left: 40px;
+	padding: 0.5em;
+	font-size: 90%;
+}
+p.credit a:visited, p.credit a:link {
+	border: none;
+}
+	
+
+/* Basic typography
+   -------------------------------------------- */
+
+body {
+	font-family: Verdana, Tahoma, Arial, sans-serif;
+	font-size: 80%;
+}
+
+p, td, th, li {
+	font-size: 1em;
+	line-height: 1.65em;
+}
+
+
+a:link, a:visited {
+	text-decoration: none;
+	color: #B54141;
+	border: 1px solid white;
+}
+a:hover {
+	background-color: #eee;
+	border: 1px solid #ccc;
+}
+
+
+
+/* Temporary & testing
+   -------------------------------------------- */
+
+	 
+/* Backup of coloured menu headings 
+ 
+#menu ul {
+	margin-top: 0;
+	padding-left: 0;
+	margin-left: 0;
+	list-style: none;	
+
+	background-color: #B54141;
+	color: #fff;
+	padding: 1px;
+
+}
+
+#menu ul ul {
+	background-color: white;
+	margin-left: 0;
+	list-style: disc;
+	list-style-position: inside;
+	padding-left: 0.5em;
+}
+
+#menu ul ul * {
+	background-color: white;
+	color: #000;
+	width: 100%;
+}	
+
+#menu table, #menu form, #menu caption {
+	background-color: #fff;
+	color: black;
+	width: 100%;
+}
+*/
diff -urN soojung-0.4.4/templates/seaside/entry.tpl soojung/templates/seaside/entry.tpl
--- soojung-0.4.4/templates/seaside/entry.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/seaside/entry.tpl	2005-02-19 08:18:45.000000000 +0900
@@ -0,0 +1,67 @@
+{include file="header.tpl"}
+
+<div id="contents">
+	<div class="entry">
+		<h2>{$entry->title} <div class="category">{$entry->category->name}</div> <div class="date">{$entry->date|date_format:"%B %d, %Y %I:%M %p"}</div></h2>
+		<p class="body">{$entry->getBody()}</p>
+	</div>
+
+{if $entry->isSetOption("NO_TRACKBACK") == false}
+<div class="trackbacks" id="trackback">
+<p class="trackback_url">TrackBack URL: {$baseurl}/trackback.php?blogid={$entry->entryId}</p>
+{foreach from=$trackbacks item=trackback}
+	<div class="trackback">
+	<a name="{$trackback->date}"></a>
+	<a href="{$trackback->url}">{$trackback->url}</a><br />
+	{$trackback->title}<br />
+	{$trackback->getExcerpt()|strip_tags}
+	</div>
+{/foreach}
+</div>
+{/if}
+
+{if $entry->isSetOption("NO_COMMENT") == false}
+<ul id="comment">
+{foreach from=$comments item=comment}
+	<li id="{$comment->date}"> 
+		<p class="cmtinfo">
+		{if $comment->homepage != ""}
+			<a href="{$comment->homepage}">{$comment->name}</a>
+		{elseif $comment->email != ""}
+			<a href="mailto:{$comment->email}">{$comment->name}</a>
+		{else}
+			{$comment->name}
+		{/if}|
+		{$comment->date|date_format:"%B %d, %Y %I:%M %p"}
+		</p>
+		<p class="cmtbody">{$comment->getBody()}</p>
+	</li>
+{/foreach}
+</ul>
+
+<form action="" method="post">
+<input type="hidden" name="blogid" value="{$entry->entryId}" />
+<h3>Post a comment</h3>
+<table id="cmtform">
+<tr>
+	<th>Name:</th>
+	<td><input type="text" name="name" value="{$w_name}" class="text"></td>
+</tr>
+<tr>
+	<th>Email Address:</th>
+	<td><input type="text" name="email" value="{$w_email}" class="text"></td>
+</tr>
+<tr>
+	<th>URL:</th>
+	<td><input type="text" name="url" value="{$w_url|default:"http://"}" class="text"></td>
+</tr>
+<tr>
+	<th>Comments:</th>
+	<td><textarea name="body" rows="5" cols="40"></textarea><br /><input type="submit" value="Post" /></td>
+</tr>
+</table>
+</form>
+{/if}
+</div>
+
+{include file="footer.tpl"}
\ No newline at end of file
diff -urN soojung-0.4.4/templates/seaside/footer.tpl soojung/templates/seaside/footer.tpl
--- soojung-0.4.4/templates/seaside/footer.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/seaside/footer.tpl	2005-02-19 08:18:45.000000000 +0900
@@ -0,0 +1,5 @@
+	<div id="sidebar">
+		{include file="sidebar.tpl"}
+	</div>
+</body>
+</html>
diff -urN soojung-0.4.4/templates/seaside/header.tpl soojung/templates/seaside/header.tpl
--- soojung-0.4.4/templates/seaside/header.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/seaside/header.tpl	2005-02-19 08:18:45.000000000 +0900
@@ -0,0 +1,12 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ko">
+<head>
+	<title>{$title}</title>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+	<link rel="Stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/styles.css" />
+	<link rel="Alternate" type="application/rss+xml" title="RSS 2.0" href="{$baseurl}/rss2.php" />
+</head>
+<body>
+	<div id="header">
+		<h1>{$title}</h1>
+	</div>
\ No newline at end of file
diff -urN soojung-0.4.4/templates/seaside/index.tpl soojung/templates/seaside/index.tpl
--- soojung-0.4.4/templates/seaside/index.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/seaside/index.tpl	2005-02-19 08:18:45.000000000 +0900
@@ -0,0 +1,32 @@
+{include file="header.tpl"}
+
+<div id="contents">
+{if $view == "category"}
+<h1 class="legend">Category: <strong>{$keyword}</strong></h1>
+{elseif $view == "archive"}
+<h1 class="legend">Archive: <strong>{$keyword}</strong></h1>
+{elseif $view == "search"}
+<h1 class="legend">Search result of <strong>{$keyword}</strong></h1>
+{/if}
+{foreach from=$entries item=entry}
+	<div class="entry">
+		<h2><a href="{$entry->getHref()}">{$entry->title}</a> <div class="category">{$entry->category->name}</div> <div class="date">{$entry->date|date_format:"%B %d, %Y"}</div></h2>
+		<p class="body">{$entry->getBody()}</p>
+		<p class="info">{if $entry->isSetOption("NO_COMMENT") == false}<a class="plink" href="{$entry->getHref()}#comment">Comments ({$entry->getCommentCount()})</a>{/if}
+		{if $entry->isSetOption("NO_TRACKBACK") == false}| <a class="plink" href="{$entry->getHref()}#trackback">TrackBacks ({$entry->getTrackbackCount()})</a>{/if}</p>
+	</div>
+{/foreach}
+	<div id="page">
+{if $prev_page_link != ""}
+		<a href="{$prev_page_link}">prev</a>
+{/if}
+{if $prev_page_link && $next_page_link}
+		|
+{/if}
+{if $next_page_link != ""}
+		<a href="{$next_page_link}">next</a>
+{/if}
+	</div>
+</div>
+
+{include file="footer.tpl"}
\ No newline at end of file
diff -urN soojung-0.4.4/templates/seaside/sidebar.tpl soojung/templates/seaside/sidebar.tpl
--- soojung-0.4.4/templates/seaside/sidebar.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/seaside/sidebar.tpl	2005-02-20 11:13:26.000000000 +0900
@@ -0,0 +1,53 @@
+<h2>Menu</h2>
+<ul>
+	<li><a href="{$baseurl}/index.php">main</a></li>
+	<li><a href="{$baseurl}/admin.php">admin</a></li>
+	{foreach from=$static_entries item=static}
+	<li><a href="{$static->getHref()}">{$static->title}</a></li>
+	{/foreach}
+	<li><a href="{$baseurl}/rss2.php" class="rss">RSS (2.0)</a></li>
+</ul>
+
+<h2>Search</h2>
+<form action="index.php" method="get">
+<p>
+<input type="text" name="search" id="search" title="input search text" size="16" onfocus="this.className='on'; return true" onblur="this.className='off'; return true" /> <input type="submit" value="Go" />
+</p>
+</form>
+
+<h2>Calendar</h2>
+{$calendar->getCalendar()}
+
+<h2>Categories</h2>
+<ul>
+	{foreach from=$categories item=category}
+	<li>
+		<a href="{$category->getHref()}">{$category->name}</a> 
+		({$category->getEntryCount()})
+	</li>
+	{foreachelse}
+	<li></li>
+	{/foreach}
+</ul>
+
+<h2>Archives</h2>
+<ul>
+	{foreach from=$archvies item=archive}
+	<li>
+		<a href="{$archive->getHref()}">{$archive->getDate()|date_format:"%B %Y"}</a>
+	</li>
+	{foreachelse}
+	<li></li>
+	{/foreach}
+</ul>
+
+<h2>Bookmarks</h2>
+<ul>
+	{foreach from=$bookmarks item=bookmark}
+	<li>
+		<a href="{$bookmark->url}">{$bookmark->name}</a>
+	</li>
+	{foreachelse}
+	<li></li>
+	{/foreach}
+</ul>
diff -urN soojung-0.4.4/templates/seaside/styles.css soojung/templates/seaside/styles.css
--- soojung-0.4.4/templates/seaside/styles.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/seaside/styles.css	2005-02-19 08:18:45.000000000 +0900
@@ -0,0 +1,135 @@
+body {
+	margin: 0;
+	font-family: helvetica, sans-serif;
+}
+a {
+	color: #999;
+}
+a:hover {
+	color: #48f;
+}
+a.rss {
+	color: #f90;
+}
+#header {
+	background-color: #48f;
+	height: 50px;
+}
+h1 {
+	margin: 0;
+	color: #fff;
+	font-size: 1.5em;
+	font-weight: normal;
+	padding: 0.5em;
+}
+h1.legend {
+	font-size: 1.4em;
+	color: #ccc;
+	padding: 0em 0em 1em 0em;
+}
+h1.legend strong {
+	color: #48f;
+}
+#sidebar {
+	background-color: #f4f4f4;
+	border-left: 1px solid #ccc;
+	width: 180px;
+	position: absolute;
+	top: 50px;
+	right: 0;
+	padding: 0.5em 1em;
+}
+#sidebar h2, h3 {
+	font-size: 1em;
+	margin: 0.5em 0em;
+}
+#sidebar ul {
+	list-style: none;
+	margin: 0em 0em 1em 0em;
+	padding: 0;
+}
+#sidebar ul li {
+	line-height: 1.5em;
+}
+input#search {
+	border: 2px solid #ccc;
+	-moz-border-radius: 10px;
+	padding: 2px;
+	font-size: 10px;
+	font-family: verdana, sans-serif;
+}
+input#search.on {
+	border: 2px solid #48f;
+}
+#contents {
+	margin-right: 200px;
+	padding: 1em;
+}
+.entry {
+	border-bottom: 1px solid #ddd;
+	padding-bottom: 1em;
+	margin-bottom: 1em;
+}
+.entry h2 {
+	font-size: 1em;
+	margin: 0em 0em 0.5em 0em;
+}
+.entry p.body, .format_bbcode {
+	font-size: 0.8em;
+	line-height: 1.5em;
+	margin: 0;
+}
+h2 .category, h2 .date {
+	font-size: 0.8em;
+	color: #ccc;
+	display: inline;
+	padding-left: 1em;
+}
+p.info {
+	font-size: 0.8em;
+	margin-bottom: 0;
+}
+#cmtform th {
+	font-weight: normal;
+	font-size: 10px;
+	font-family: verdana, sans-serif;
+}
+input, textarea {
+	font-family: verdana, sans-serif;
+}
+input.text, textarea {
+	border: 1px solid #ccc;
+	padding: 2px;
+	font-size: 0.8em;
+}
+#comment {
+	list-style: none;
+	margin: 0;
+	padding: 0em 0em 1em 0em;
+	border-bottom: 1px solid #ddd;
+}
+#comment li {
+	border-left: 5px solid #ccc;
+	padding-left: 0.5em;
+	margin-bottom: 1em;
+}
+.cmtinfo {
+	font-size: 0.8em;
+	margin-bottom: 5px;
+}
+.cmtbody {
+	font-size: 0.8em;
+	line-height: 1.5em;
+	margin: 0;
+}
+#calendar {
+	font-size: 0.8em;
+	text-align: center;
+}
+img {
+	border: 2px solid #4d4d4d;
+	margin: 1em 0;
+}
+#calendar table {
+	margin: auto;
+}
\ No newline at end of file
diff -urN soojung-0.4.4/templates/simple/footer.tpl soojung/templates/simple/footer.tpl
--- soojung-0.4.4/templates/simple/footer.tpl	2005-01-25 22:14:36.000000000 +0900
+++ soojung/templates/simple/footer.tpl	2005-02-20 11:13:26.000000000 +0900
@@ -11,9 +11,9 @@
 </ul>
 
 <h3><a href="#none" onclick="return fold_sidebar('div_calendar');">Calendar</a></h3>
-<ul id="div_calendar">
-	{$calendar->get_calendar()}
-</ul>
+<div id="div_calendar">
+	<li>{$calendar->getCalendar()}</li>
+</div>
 
 <h3><a href="#none" onclick="return fold_sidebar('div_category');">Categories</a></h3>
 <ul id="div_category">
@@ -87,7 +87,7 @@
 <ul id="div_bookmark" class="div_hide">
 	{foreach from=$bookmarks item=bookmark}
 	<li>
-		<a href="{$bookmark.url}">{$bookmark.desc}</a>
+		<a href="{$bookmark->url}">{$bookmark->name}</a>
 	</li>
 	{foreachelse}
 	<li></li>
@@ -128,7 +128,7 @@
 
 <div id="footer">
 <p>
-Copyleft 2004-2005 soojung devel team, all rights reserved.<br />
+{$license_link}<br />
 Powered by <a href="http://soojung.kldp.net">soojung {$soojung_version}</a>
 </p>
 
diff -urN soojung-0.4.4/templates/simple/sendping.tpl soojung/templates/simple/sendping.tpl
--- soojung-0.4.4/templates/simple/sendping.tpl	2004-11-12 08:28:24.000000000 +0900
+++ soojung/templates/simple/sendping.tpl	1970-01-01 09:00:00.000000000 +0900
@@ -1,27 +0,0 @@
-{include file="header.tpl"}
-
-<div class="entry">
-<h2>{$entry->title}</h2>
-{$entry->getBody()}
-<p class="posted">{$entry->date|date_format:"%B %d, %Y"}</p>
-</div>
-
-<div class="trackbacks">
-
-<div class="trackback_url">TrackBack URL of this entry: {$baseurl}/trackback.php?blogid={$entry->entryId}</div>
-<a name="trackback"></a>
-</div>
-
-<div class="trackback_entry">
-     <form action="sendping.php" method="post">
-     Trackback URL to send trackback ping: <br /> 
-     <input type="text" name="trackback_url" value="http://"><br /><br />
-     
-     Remote Blog's encoding : <input type="text" name="encoding" value="UTF-8"><br />
-     <input type="hidden" name="mode" value="post">
-     <input type="hidden" name="blogid" value={$entry->entryId}>
-     <input type="submit" value="Send Ping"><br />
-</form>
-
-</div>
-{include file="footer.tpl"}
diff -urN soojung-0.4.4/templates/simple/styles.css soojung/templates/simple/styles.css
--- soojung-0.4.4/templates/simple/styles.css	2005-01-30 12:44:27.000000000 +0900
+++ soojung/templates/simple/styles.css	2005-02-19 01:39:13.000000000 +0900
@@ -185,5 +185,48 @@
 }
 
 #sidebar .calendar_days a {
-  color: #930;
+
+}
+
+#calendar
+{
+  margin: 10px;
+}
+
+#calendar p
+{
+  text-align: center;
+  margin: 0px;
+}
+
+#calendar p .current
+{
+  font-weight: bold;
 }
+
+#calendar table
+{
+  margin: 0px auto;
+  width: 95%;
+  table-layout: fixed;
+  border-collapse: collapse;
+}
+
+#calendar th, #calendar td
+{
+  text-align: center;
+  width: 14.3%;
+  margin: 0px;
+  padding: 2px;
+}
+
+#calendar td
+{
+  color: #888;
+}
+
+#calendar table a
+{
+  font-weight: bold;
+  border-bottom: dotted 1px #888;
+}
\ No newline at end of file
diff -urN soojung-0.4.4/templates/simplebalance/README soojung/templates/simplebalance/README
--- soojung-0.4.4/templates/simplebalance/README	2004-12-25 13:54:26.000000000 +0900
+++ soojung/templates/simplebalance/README	2005-02-18 17:33:32.000000000 +0900
@@ -1,4 +1,4 @@
-"The Simple Balance" Template for Soojung 0.4.x (revision 3)
+"The Simple Balance" Template for Soojung 0.4.x (revision 4)
 by Kang Seonghoon (Tokigun) <tokigun@gmail.com>
 
 
@@ -37,7 +37,7 @@
 
   - cssFile
     사용할 css 파일을 선택합니다. (템플릿 디렉토리의 css 디렉토리에 있는 파일들)
-    현재 revision 3에서는 navy.css, green.css, silver.css를 선택할 수 있습니다.
+    현재 revision 4에서는 navy.css, green.css, silver.css를 선택할 수 있습니다.
 
   - useMozillaExtension
     모질라에서만 지원되는 CSS 속성인 -moz-border-radius를 사용할 지의 여부를 선택합니다.
@@ -45,6 +45,11 @@
     (내부적으로는 css/mozilla.css를 사용하게 됩니다.)
     1이면 사용, 0이면 사용하지 않음을 의미합니다.
 
+  - useCustomCSS
+    사용자 추가 css를 사용할 지의 여부를 선택합니다.
+    (이 파일은 템플릿 디렉토리의 css/custom.css에 있으며, 기본적으로는 빈 파일입니다.)
+    1이면 사용, 0이면 사용하지 않음을 의미합니다.
+
   - show로 시작하는 옵션들
     사이드바의 각각의 부분들이 나타나는 방법을 선택하는 부분입니다.
     -1이면 아예 안 나타나고, 0이면 접혀서 나타나고, 1이면 처음부터 펼쳐져서 나타납니다.
diff -urN soojung-0.4.4/templates/simplebalance/config.conf soojung/templates/simplebalance/config.conf
--- soojung-0.4.4/templates/simplebalance/config.conf	2004-12-25 13:54:26.000000000 +0900
+++ soojung/templates/simplebalance/config.conf	2005-02-18 18:11:18.000000000 +0900
@@ -11,9 +11,14 @@
 # 1 means used, 0 means not.
 useMozillaExtension = 1
 
+# choose whether custom css file is used or not.
+# 1 means used, 0 means not.
+useCustomCSS = 1
+
 # configure how each section in a sidebar is appeared.
 # -1 means never appeared, 0 means appeared but folded, 1 means appeared and not folded.
 showStaticEntries = 1
+showCalendar = 1
 showCategories = 1
 showArchives = 1
 showRecentEntries = 0
diff -urN soojung-0.4.4/templates/simplebalance/css/custom.css soojung/templates/simplebalance/css/custom.css
--- soojung-0.4.4/templates/simplebalance/css/custom.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/simplebalance/css/custom.css	2005-02-18 17:33:33.000000000 +0900
@@ -0,0 +1,2 @@
+/* your css file here :) */
+
diff -urN soojung-0.4.4/templates/simplebalance/css/green.css soojung/templates/simplebalance/css/green.css
--- soojung-0.4.4/templates/simplebalance/css/green.css	2004-12-25 13:54:26.000000000 +0900
+++ soojung/templates/simplebalance/css/green.css	2005-02-18 17:33:33.000000000 +0900
@@ -288,6 +288,40 @@
 	background-color: #254523;
 }
 
+#calendar {
+	margin: 10px;
+}
+#calendar p {
+	text-align: center;
+	margin: 0px;
+}
+#calendar p .current {
+	font-weight: bold;
+}
+#calendar table {
+	margin: 0px auto;
+	width: 95%;
+	table-layout: fixed;
+	border: 1px solid #6B8C68;
+	border-collapse: collapse;
+}
+#calendar tr.header {
+	background-color: #6B8C68;
+}
+#calendar th,
+#calendar td {
+	text-align: center;
+	width: 14.3%;
+	margin: 0px;
+	padding: 2px;
+}
+#calendar th {
+	color: #fff;
+}
+#calendar td {
+	color: #6B8C68;
+}
+
 #footer {
 	clear: both;
 	font-size: small;
diff -urN soojung-0.4.4/templates/simplebalance/css/navy.css soojung/templates/simplebalance/css/navy.css
--- soojung-0.4.4/templates/simplebalance/css/navy.css	2004-12-25 13:54:26.000000000 +0900
+++ soojung/templates/simplebalance/css/navy.css	2005-02-18 17:33:33.000000000 +0900
@@ -288,6 +288,40 @@
 	background-color: #004;
 }
 
+#calendar {
+	margin: 10px;
+}
+#calendar p {
+	text-align: center;
+	margin: 0px;
+}
+#calendar p .current {
+	font-weight: bold;
+}
+#calendar table {
+	margin: 0px auto;
+	width: 95%;
+	table-layout: fixed;
+	border: 1px solid #77a;
+	border-collapse: collapse;
+}
+#calendar tr.header {
+	background-color: #77a;
+}
+#calendar th,
+#calendar td {
+	text-align: center;
+	width: 14.3%;
+	margin: 0px;
+	padding: 2px;
+}
+#calendar th {
+	color: #fff;
+}
+#calendar td {
+	color: #77a;
+}
+
 #footer {
 	clear: both;
 	font-size: small;
diff -urN soojung-0.4.4/templates/simplebalance/css/silver.css soojung/templates/simplebalance/css/silver.css
--- soojung-0.4.4/templates/simplebalance/css/silver.css	2004-12-26 01:24:39.000000000 +0900
+++ soojung/templates/simplebalance/css/silver.css	2005-02-18 17:33:33.000000000 +0900
@@ -288,6 +288,40 @@
 	background-color: #444;
 }
 
+#calendar {
+	margin: 10px;
+}
+#calendar p {
+	text-align: center;
+	margin: 0px;
+}
+#calendar p .current {
+	font-weight: bold;
+}
+#calendar table {
+	margin: 0px auto;
+	width: 95%;
+	table-layout: fixed;
+	border: 1px solid #888;
+	border-collapse: collapse;
+}
+#calendar tr.header {
+	background-color: #888;
+}
+#calendar th,
+#calendar td {
+	text-align: center;
+	width: 14.3%;
+	margin: 0px;
+	padding: 2px;
+}
+#calendar th {
+	color: #fff;
+}
+#calendar td {
+	color: #888;
+}
+
 #footer {
 	clear: both;
 	font-size: small;
diff -urN soojung-0.4.4/templates/simplebalance/footer.tpl soojung/templates/simplebalance/footer.tpl
--- soojung-0.4.4/templates/simplebalance/footer.tpl	2005-01-04 12:07:28.000000000 +0900
+++ soojung/templates/simplebalance/footer.tpl	2005-02-20 11:13:27.000000000 +0900
@@ -25,6 +25,13 @@
 </ul>
 {/if}
 
+{if #showCalendar# != -1}
+<h3><a href="#none" onclick="return fold_sidebar('div_calendar');">Calendar</a></h3>
+<div id="div_calendar"{if #showCalendar# == 0} class="hide"{/if}>
+	{$calendar->getCalendar()}
+</div>
+{/if}
+
 {if #showCategories# != -1}
 <h3><a href="#none" onclick="return fold_sidebar('div_category');">Categories</a></h3>
 <ul id="div_category"{if #showCategories# == 0} class="hide"{/if}>
@@ -89,7 +96,7 @@
 <h3><a href="#none" onclick="return fold_sidebar('div_bookmark');">Bookmarks</a></h3>
 <ul id="div_bookmark"{if #showBookmarks# == 0} class="hide"{/if}>
 {foreach from=$bookmarks item=bookmark}
-	<li><a href="{$bookmark.url|escape}">{$bookmark.desc|escape}</a></li>
+	<li><a href="{$bookmark->url|escape}">{$bookmark->name|escape}</a></li>
 {/foreach}
 </ul>
 {/if}
@@ -123,8 +130,8 @@
 
 <div id="footer">
 <p>
-	<i>your copyright message goes here.</i><br />
-	Powered by <a href="http://soojung.kldp.net/">soojung {$soojung_version}</a> &copy; 2004-2005 soojung devel team. "The Simple Balance" template designed by Tokigun.
+	{$license_link}<br />
+	Powered by <a href="http://soojung.kldp.net/">soojung {$soojung_version}</a>. "The Simple Balance" template designed by Tokigun.
 </p>
 </div>
 
diff -urN soojung-0.4.4/templates/simplebalance/header.tpl soojung/templates/simplebalance/header.tpl
--- soojung-0.4.4/templates/simplebalance/header.tpl	2004-12-25 13:54:26.000000000 +0900
+++ soojung/templates/simplebalance/header.tpl	2005-02-18 17:33:32.000000000 +0900
@@ -4,9 +4,9 @@
 <html>
 
 <!--
-"the simple balance" template (revision 3) for soojung {$soojung_version}
+"the simple balance" template (revision 4) for soojung {$soojung_version}
 designed by Kang Seonghoon <tokigun@gmail.com>
-soojung (c) copyleft 2004 soojung devel team, all rights reserved.
+soojung (c) copyleft 2004-2005 soojung devel team, all rights reserved.
 -->
 
 <head>
@@ -14,6 +14,9 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <meta name="generator" content="soojung {$soojung_version}" />
 <link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/css/{#cssFile#}" />
+{if #useCustomCSS# == 1}
+<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/css/custom.css" />
+{/if}
 {if #useMozillaExtension# == 1}
 <link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/css/mozilla.css" />
 {/if}
diff -urN soojung-0.4.4/templates/simplebalance/sendping.tpl soojung/templates/simplebalance/sendping.tpl
--- soojung-0.4.4/templates/simplebalance/sendping.tpl	2004-11-08 23:53:22.000000000 +0900
+++ soojung/templates/simplebalance/sendping.tpl	1970-01-01 09:00:00.000000000 +0900
@@ -1,30 +0,0 @@
-{include file="header.tpl" subtitle=$entry->title}
-
-<div class="entry thisentry">
-<h2>
-	<span class="box_title">{$entry->title}</span> <span class="hide">|</span>
-	<span class="box_header">{$entry->category->name|escape} | {$entry->date|date_format:"%Y/%m/%d %p %I:%M"}</span>
-</h2>
-<div class="box_body">
-{$entry->getBody()}
-</div>
-
-<div id="trackbacks">
-	<p class="trackback_url"><b>TrackBack URL:</b> {$baseurl}/trackback.php?blogid={$entry->entryId}</p>
-	<form action="sendping.php" method="post" class="postform">
-		<h3>Send trackback ping</h3>
-		<div class="box_body">
-			<input type="hidden" name="mode" value="post" />
-			<input type="hidden" name="blogid" value="{$entry->entryId}" />
-			Trackback URL to send trackback ping:
-			<input type="text" name="trackback_url" value="http://" /><br />
-			Remote Blog's encoding:
-			<input type="text" name="encoding" value="UTF-8" /><br />
-			<input type="submit" value="Send Ping" />
-		</div>
-	</form>
-</div>
-
-</div>
-
-{include file="footer.tpl"}
diff -urN soojung-0.4.4/trackback.php soojung/trackback.php
--- soojung-0.4.4/trackback.php	2005-01-14 21:18:13.000000000 +0900
+++ soojung/trackback.php	2005-02-12 22:52:45.000000000 +0900
@@ -29,15 +29,12 @@
   exit;
 }
 
-if (isset($_POST["url"]) || isset($_GET["blogid"])) {
-  $id = $_GET["blogid"];
-  if (!isset($id))
-    $id = $_POST["blogid"];
-
-  $url = $_POST["url"];
-  $title = $_POST["title"];
-  $excerpt = $_POST["excerpt"];
-  $name = $_POST["blog_name"];
+if (isset($_REQUEST["url"]) || isset($_REQUEST["blogid"])) {
+  $id = $_REQUEST["blogid"];
+  $url = $_REQUEST["url"];
+  $title = $_REQUEST["title"];
+  $excerpt = $_REQUEST["excerpt"];
+  $name = $_REQUEST["blog_name"];
 
 
 #  $encoding_title = detect_encoding ($title);
@@ -50,9 +47,9 @@
 #    $name = iconv($encoding, "UTF-8", $_POST["blog_name"]);
 #  }
 
-  $title = convert_to_utf8($_POST["title"]);
-  $excerpt = convert_to_utf8($_POST["excerpt"]);
-  $name = convert_to_utf8($_POST["blog_name"]);
+  $title = convert_to_utf8($title);
+  $excerpt = convert_to_utf8($excerpt);
+  $name = convert_to_utf8($name);
   
   if (empty($url)) {
     echo '<?xml version="1.0" encoding="iso-8859-1"?>' . "\n";
@@ -77,4 +74,5 @@
   echo "</response>\n";
 }
 
+# vim: ts=8 sw=2 sts=2 noet
 ?>
diff -urN soojung-0.4.4/uninstall.php soojung/uninstall.php
--- soojung-0.4.4/uninstall.php	2004-10-16 13:04:31.000000000 +0900
+++ soojung/uninstall.php	2005-02-12 22:52:45.000000000 +0900
@@ -17,4 +17,6 @@
 rmdirr("templates/.admin_cache");
 rmdirr("templates/.admin_configs");
 rmdirr("templates/.admin_compile");
-?>
\ No newline at end of file
+
+# vim: ts=8 sw=2 sts=2 noet
+?>
diff -urN soojung-0.4.4/upload.php soojung/upload.php
--- soojung-0.4.4/upload.php	2004-12-24 10:34:55.000000000 +0900
+++ soojung/upload.php	2005-02-19 00:24:21.000000000 +0900
@@ -27,10 +27,12 @@
     if ($file == "." || $file == "..") {
       continue;
     }
-    $list[] = "contents/upload/" . $file;
+    $list[] = array("path" => "contents/upload/" . $file, "name" => $file);
   }
 }
 $template->assign("files", $list);
 
 $template->display("upload.tpl");
-?>
\ No newline at end of file
+
+# vim: ts=8 sw=2 sts=2 noet
+?>
diff -urN soojung-0.4.4/xmlrpc.php soojung/xmlrpc.php
--- soojung-0.4.4/xmlrpc.php	2004-10-16 13:04:31.000000000 +0900
+++ soojung/xmlrpc.php	2005-02-19 11:08:17.000000000 +0900
@@ -343,7 +343,7 @@
 				       "description" => new xmlrpcval($content, "string")
 				       ), "struct");
 
-    $structarray[] = $entrystruct;
+    $structarray[] = $entrystruct; !d!,
   }
   return new xmlrpcresp(new xmlrpcval($structarray, "array"));
 
@@ -355,10 +355,13 @@
 			     "metaWeblog.newMediaObject" => array("function" => "metaWeblog_newMediaObject"),
 			     "metaWeblog.getCategories" => array("function" => "metaWeblog_getCategories"),
 			     "metaWeblog.getRecentPosts" => array("function" => "metaweblog_getRecentPosts"),
+			     "blogger.getPost" => array("function" => "blogger_getPost"),
 			     "blogger.newPost" => array("function" => "blogger_newPost"),
 			     "blogger.editPost" => array("function" => "blogger_editPost"),
 			     "blogger.deletePost" => array("function" => "blogger_deletePost"),
 			     "blogger.getRecentPosts" => array("function" => "blogger_getRecentPosts"),
 			     "blogger.getUsersBlogs" => array("function" => "blogger_getUsersBlogs"),
 			     "blogger.getUserInfo" => array("function" => "blogger_getUserInfo")));
-?>
\ No newline at end of file
+
+# vim: ts=8 sw=2 sts=2 noet
+?>
